* 4.4.0  [2026-03-09]
---------------------

This release marks 25 years of Claws Mail.

UI
* Several updates to strings and icons.

* The word 'Write' is now used in place of 'Compose'.
  e.g. 'Write email'; 'Write' preferences page, etc. 

* Hide Message List's horizontal scrollbar by default if not
  using GENERIC_UMPC.

* Added a new hidden preference, 'mainwin_toolbar_always_enable_actions',
  (turned off by default). Activating this option means that toolbar
  items bound to user Actions (in the main window) will be active even
  when no messages are selected.

* Navigation using the numpad arrow keys is now possible.

* A new Colour preference has been added: 'Messages marked for moving
  or deletion'. This is used when 'execute immediately' is switched off.

* Compose window: When re-editing a drafted message, the user will now
  be prompted to save any changes made to the message headers.

* Compose window: when the contents of a header field are cleared, the
  Clear button becomes a Delete button, enabling the now empty row to
  be removed completely.

* Folder properties: two new options to handle HTML content have been
  added to the General page:
  'Render HTML messages as text' and 'Render HTML messages with plugin
  if possible'.

* Folder properties: a new option, 'Show tags' has been added. This
  controls whether any message tags are displayed at the top of the
  Message View.

Plugins
* SpamAssassin: updated third-party code to 4.0.1.

* Mail Archiver: added support for Zstandard compression (zstd)
  (libarchive >= 3.4.0 required).

* RSSyl: the default User-Agent string has been changed to 
  ClawsMailRSSyl/$VERSION ($URL); this can be changed in the plugin's
  preferences, and can be further set on a per-feed basis on the
  'Feed properties' page.

* RSSyl: added a preference so that feeds configured for manual
  updates only are not updated when refreshing all feeds (recursively
  by the context menu, timer or at start-up, if enabled).

* RSSyl: store and send ETag and Last-Modified headers.

* RSSyl: postpone auto-updates if the server sends a Retry-After:
  header. A successful manual update clears the Retry-After value.

* PGP: display a specific message, ("This key is not in your
  keyring") in the NoticeView area when a key is not in the keyring.

* PGP: added an option to automatically locate missing keys when
  sending encrypted messages.

* PGP: a missing key can now optionally be retrieved by clicking the
  NoticeView icon.

* PGP: added a 'Search for PGP key' context menu item to email
  addresses in the Message View.

* Notification: Ayatana indicator can now be configured to limit
  notifications to certain folders only.

* Notification: added 'Open address book' entry to Ayatana indicator's
  tray menu.

OAUTH2
* Configuration is now stored in a dedicated file: oauth2rc, located
  in the configuration directory. This file allows a user to
  accommodate an API change by a service provider, or to add a completely
  new Oauth2-based email provider of their choice. Setting protected=1
  within an edited or bespoke block protects it from being overwritten
  by a new version of Claws Mail.

Build System
* GnuTLS >= 3.4.0 is now the minimum requirement.

* libetpan >= 1.9.4 is now the minimum requirement.

* dbus-glib support has been migrated to GDBus (GIO) >= 2.26
  and D-Bus (>= 0.60).
  
* The summary of the configure output has been completed.

Other
* A new hidden preference has been added: "show_contact_pic".
  When viewing a message, if the sender is in your address book and
  you have saved a picture for the contact there, this option will
  display that picture unless the Header Pane is displayed or you
  have chosen not to display (X-)Face or "enable_avatars" is set to
  '0'. 
  If you have a large address book it is recommended that you leave
  this option turned off to avoid delays in displaying messages.

* The wizard now uses secure defaults.

* Various code cleanups, fixes, and enhancements.

* The English, French and Spanish manuals have been updated.

* Updated translations: British English, Catalan, Czech, Dutch, French,
  German, Slovak, Spanish, Swedish, Turkish.

* bug fixes:
	* bug 4498, 'About window resizing issues'
	* bug 4586, 'PDF Viewer view breaks in Three Column layout'
	* bug 4764, 'Wrapped UTF8 encoded subject line displayed with
		     nonexistent quotation marks'
	* bug 4834, 'Long email addresses in vCalendar invites cause
		     the attachments bar on the right side to be hidden
		     until restart'
	* bug 4841, 'qutoted-printable encoding breaks text/html file
		     with extraordinarily long lines, base64 does not'
	* bug 4846, 'Preferences-> Toolbars: always show icon preview
		     on button'
	* bug 4848, 'The new ayatana tray icon displays no icon when
		     there are new messages'
	* bug 4850, 'Show error dialog on receive error translation'
	* bug 4852, 'Cancel messages contain Approved-header'
	* bug 4854, 'auto-wrapping off not respected when using
		     external editor'
	* bug 4856, 'Build fails with gettext 0.24'
	* bug 4863, 'Account Preferences Minor UI inconsistency'
	* bug 4882, 'IMAP can not use client certificate with
		     passphrase'
	* bug 4887, 'Dillo processes are not killed when an HTML
		     message is no longer being viewed'
	* bug 4893, 'Clamd plugin not checking any mail'
	* bug 4897, ''small screen' view: crash when exiting view
		     message list after deleting all messages/mails
		     in folder.'
	* bug 4898, 'When entering folder message list is not
		     scrolling to selected message'
	* bug 4902, 'memory leak in the spam_report plug-in'
	* bug 4930, 'remove duplicate signature flag from MimeView'
	* bug 4931, 'avoid memory leak in summary_set_header'
	* fix bug where viewing msgs in the separate msg view are not
	  marked as read when the msgview panel is hidden
	* litehtml plugin build failure on Windows
	* 'Save email as...' from the separate message view would save
	   whatever was selected in the summaryview rather than what was
	   open in the message view.
	* when message view is closed
		1. select a msg;
		2. hit [v] (key),
		3. open the mime structure list
		4. select a part in the structure tree
		5. hit [v] --[crash]--
	* fix header pane bug whereby a very long header value would
	  push the mime icons panel out of the visible area.
	* do not attempt to delete a tag from list when the edit tag
	  entry has focus.


* 4.3.1  [2025-02-24]
---------------------

* The configuration option, "Don't popup error dialog on receive error"
  has been changed to "Show error dialog on receive error". Your previous
  choice will be automatically changed to the new format.

* The option "Warn when pasting files as attachments" has been added to
  the Compose/Writing preferences page. This option was previously
  hidden.

* chmod 0600 is now set on *history files in the configuration directory.

* A new preference has been added to enable setting the chmod value of
  saved attachments: "Save attachments with chmod [   ]", found on the
  Other/Miscelleanous preferences page. The default value is 600.

* The creation and updating of .mh_sequences files in MH mailbox folders
  is now optional and disabled by default. This is controlled by a new
  hidden preference, mh_compat_mode. If you were previously relying on
  this feature, set mh_compat_mode=1 in clawsrc before running this
  version.

* A new hidden preference has been added, passphrase_dialog_msg_title_switch.
  This switches the placement of the dialogue message with the dialogue
  title in the passphrase dialogue. This can be useful for interacting with
  third-party programs such as KeePassXC.
    
* The top-level 'Mark' menu item has been renamed to 'Marks'. If you have
  set custom hotkeys for any items in this menu you will need to re-set
  them.

* New accounts now have all secure options activated by default,
  including TLS connections and SMTP AUTH.

* The option to accept valid TLS certificates is now activated by default
  on new accounts.

* Notification plugin: support for Ayatana indicator has been added.

* PDF Viewer plugin: support for image/x-eps (encapsulated postscript)
  images has been added.

* Libravatar plugin: the https URL, https://seccdn.libravatar.org/avatar,
  is now used by default.

* vCalendar plugin: CREATED/LAST_MODIFIED are correctly handled, and the
  VTIMEZONE component is used when present

* Various code cleanups.

* The English, Spanish and French manuals have been updated.

* Updated translations: Albanian, Brazilian Portuguese, British English,
  Catalan, Czech, Dutch, French, Polish, Portuguese, Romanian, Russian,
  Simplified Chinese, Slovak, Spanish, Swedish, Turkish.

* bug fixes:
	* bug 3964, 'Attachment icon doesn't show in message list unless
		     the message is clicked and then disappears later'
	* bug 4658, 'Headers unfolded incorrectly in message view'
	* bug 4817, 'Edit button in Messages view->Text settings not
		     translatable'
	* bug 4818, 'Your Claws Mail configuration is from a newer...'
		     dialog is shown more than once'
	* bug 4819, 'Text wrapping broken when text contains an URL'
	* bug 4821, 'If the Mail folder is on another partition, folder
		     chmod settings are not applied to draft and queue'
	* bug 4824, 'No syntax highlighting after exiting external editor'
	* bug 4828, '"Mark" not translated anymore'
	* bug 4835, 'Disallow a forward slash in (IMAP) account names'
	* bug 4840, 'core dump unsubscribing from newsgroups'
	* CID 1491093: attrib leaked if attvalue is null
	* CID 1491370: unchecked return value.
	* archive plugin build in debug mode.
	* keep newsgroup subscription window on top when 'subscribe to
	  newsgroup...' fails and newsgroup list can't be retrieved
	* don't silently fail to save a sent msg
	* IMAP: show the clip icon in the message list as soon as
	  possible
	* stop needlessly checking which folders want sycnhronising every
	  time we select a msg in an MH mailbox


* 4.3.0 / 3.21.0  [2024-06-10]
------------------------------

* Compose window: when the focus is in the message text, copied files
  can be pasted as attachments using /Edit/paste or Ctrl+V.
  (The context menu's Paste will still insert the list of files into
  the message body.)

* '/Mark/Mark all read in folder' and 'Mark/Mark all unread in
  folder' have been re-added to the Message List context menu.

* It is now possible to use '/Tools/Remove references' when
  forwarding mail.

* Keyboard shortcuts: The "Choose preset keyboard shortcuts" selector
  has been integrated into the main preferences page.
  When 'Current' is the selected preset, Apply/OK will keep the
  existing settings.
    
* An MBOX file can now be imported from the command line using
  `claws-mail --import-mbox %f` where %f is the full path to the
  MBOX file.

* OAUTH2 support for Microsoft 365 GCC High has been added.

* LiteHTML Viewer plugin: Updated to LiteHTML 0.9.

* The menurc file is now backed-up on startup.

* Removed support for the obsolete Avant Window Navigator.
    
* Various code cleanups.

* The manual has been updated.

* New translation: Albanian.  

* Updated translations: Catalan, Czech, French, Hungarian, Indonesian,
  Polish, Romanian, Slovak, Spanish, Swedish, Turkish.

* bug fixes:
	* bug 4668, 'Sometimes, at program start, message list takes
		     all the vertical space'
	* bug 4720, 'matcher: release regex_t in
		     matcherprop_string_match'
	* bug 4724, 'set proper availability status to sign/encrypt
		     toolbar buttons'
	* bug 4725, 'oauth2: remove trailing zero from transmit
		     buffer in oauth2_contact_server'
	* bug 4728, 'socket: handle GNUTLS_E_PREMATURE_TERMINATION in
		     ssl_read'
	* bug 4730, 'oauth2: fix string handling in
		     oauth2_contact_server'
	* bug 4733, 'Line breaks lost in headers'
	* bug 4734, 'ssl_certificate: remove unhelpful warnings from
		     certificate check'
	* bug 4746, 'matcher: remove incorrect condition in
		     matcherprop_free'
	* bug 4747, 'matcher: simplify matcherprop_new'
	* bug 4749, 'release regex_t in
		     summary_compile_simplify_regexp'
	* bug 4750, 'remove regcomp wrapper and call regcomp
		     directly'
	* bug 4752, 'Adjust incorrect debug_printf call in pgp
		     plugins'
	* bug 4754, 'text/enriched literal less-than sign sequence
		     handled incorrectly
	* bug 4757, 'remove AX_FUNC_MKDIR'
	* bug 4758, 'remove unused check for bind_textdomain_codeset'
	* bug 4759, 'remove unused function checks from
		     AC_CHECK_FUNCS'
	* bug 4760, 'use correct type for move_bar_id'
	* bug 4762, 'oauth2: preserve an existing refresh token'
	* bug 4765, 'only store smtp auth if authorization method is
		     OAUTH2'
	* bug 4766, 'preserve the expiry value of SMTP auth type is
		     not OAUTH2'
	* bug 4768, 'Adjust logic while evaluating enable_avatars'
	* bug 4770, 'remove intl from list of include directories'
	* bug 4773, 'remove obsolescent AC_C_CONST'
	* bug 4780, 'use proper prototype for two archiver functions'
	* bug 4781, 'use correct prototype for
		     privacy_free_signature_data'
	* bug 4782, 'use correct prototype for stop_archiving'
	* bug 4786, 'remove type confusion in getsockopt call in
		     sock_connect_async_cb'
	* bug 4787, 'Use correct function for memory transfer in
		     crypt_cfb_buf'
	* bug 4788, '"Change primary passphrase" disabled status
		     handling'
	* bug 4790, 'widget spacing in "Changing primary passphrase"
		     dialog'
	* bug 4791, 'remove obsolete glib version check'
	* bug 4795, 'Please remove -no-cpp-precomp flag for Apple'
	* bug 4796, 'URL with wide character doesn't work'
	* bug 4798, 'Quoting wrong when format=flowed and
		     respect_flowed_format is set'
	* CIDs 1220325, 1491306 and 1491315, 'Explicit null
	  dereferenced (FORWARD_NULL)'
	* CIDs 1491064, 1491074, 1491211, 1491105, 1491139, 1491164,
	  1491166, 1491168, 1491169, 1491178, 1491232, 1491242,
	  1492281 and 1591844 'Use after free (USE_AFTER_FREE)'
	* CID 1491137 'Out-of-bounds access (OVERRUN)'
	* CID 1591952 values overwritten before being used
	* CID 1596594 (CHECKED_RETURN)
	* CID 1596595 'Resource leak'
	* errors caused by invalid MIME viewer command-line
	* building on non-X11 systems
	* Use CFLAGS provided by nettle.pc
	* Fancy plugin, recognise mid and data embedded images

* 4.2.0 / 3.20.0  [2023-11-20]
------------------------------

* An easy way to open any folder on start-up has been added:
  Right-click a folder and choose 'Open on start-up'.
  This can also be configured on the 'Folder list' tab of the
  /Configuration/Preferences/Display/Summaries page.

* Spam statistics have been added to the session statistics.

* It is now possible to save message attachments only, without the
  other message parts.

* QuickSearch: support for a "v H V" search expression has been added
  and the 'y S' expression has been removed ('v X-Label S' can be
  used instead).

* font/* and chemical/* MIME types are now recognised.

* The image viewer now works correctly when not auto-loading images.

* Icon Themes: it is no longer possible to install or remove system
  themes.

* IMAP: Support for SCRAM-SHA-{224,256,384,512} authentication
  mechanisms has been added.

* IMAP: The statusbar now shows that expunge is happening.

* The GData plugin has been removed.

* The Fancy plugin no longer requires libsoup or libsoup-gnome.

* The LiteHTML Viewer plugin has been synchronised with litehtml 0.7.

* The LiteHTML viewer plugin will now only be built automatically if
  libgumbo 0.12 or newer is available. Building with libgumbo 0.10
  must be explicitly requested using --enable-litehtml_viewer-plugin.

* For extra debug output use --enable-more-addressbook-debug and
  --enable-more-ldap-debug.

* Added translation: Portuguese  

* Updated translations: Brazilian Portuguese, Catalan, Czech, French,
  Polish, Russian, Slovak, Spanish, Swedish, Traditional Chinese,
  Turkish.

* bug fixes:
	* bug 4491, 'address autocompletion list does not expand in
		     height with the number of matches'
	* bug 4618, 'Rate limit by remote breaks queued/marked
		     actions (Delete/Move)'
	* bug 4631, 'Embedding external editor crashes Claws-Mail on
		     Wayland'
	* bug 4637, 'Segmentation fault when using SUMMARY is empty'
	* bug 4645, 'fails to check for perl-ExtUtils::Embed'
	* bug 4648, 'fails to build with gcc 13'
	* bug 4658, 'Headers unfolded incorrectly in message view'
	* bug 4664, 'OAUTH2 overwrites passwords even for plaintext
		     logins'
	* bug 4666, 'fancy plugin doesn't build with
		     libwebkit2gtk-4.1'
	* bug 4670, 'To/CC incorrectly escaped with a trailing
		     backslash'
	* bug 4679, 'The correct date header is interpreted
		     incorrectly to display strange date.'
	* bug 4693, 'Hang and crash when enable disable SVG Rendering
		     prefs'
	* when starting with msgview hidden, toggling msgview to show
	  it would use incorrect height
	* update quicksearch history list when changing type 
	* wrong message which is shown when mail can't be sent
	* when redirecting, disable queueing
	* arbitrary paste restriction
	* when queueing or drafting a msg with an attachment which no
	  longer exists, use the correct label on the button of the
	  warning dialogue
	* using a custom header in found_in_addressbook match
	  expressions
	* URIs may contain the '$' dollar sign
	* OAuth2, Update on-disk tokens as well when in-memory tokens
	  are updated
	* Microsoft POP3 OAuth2 protocol

* 4.1.1 / 3.19.1  [2022-10-20]
------------------------------

* Marked messages in the Message List can now be displayed with bold
  text by setting the hidden preference "bold_marked".

* The confirmation dialogue when saving all the attachments of a
  message can now be disabled.

* The Message List tooltip for the From column now shows name and
  address.

* OAuth2: various fixes and improvements.

* The user manuals have been updated.

* Updated translations: Brazilian Portuguese, Catalan, Czech, Dutch,
  French, Polish, Russian, Slovak, Spanish, Swedish, Traditional
  Chinese, Turkish.

* Build system: GLib version 2.50 or greater is required; autoconf
  version 2.69 or greater is required; pkgconfig support for GPGME
  and libgpg-error has been added; GnuTLS is required for OAuth2;
  OAuth2 support can be removed with --disable-oauth2.

* bug fixes:
	• bug 4547, '--enable-tests makes compilation fail'
	• bug 4583, 'Compose window 'Discard message' dialog is
		     displayed even though draft is already saved'
	• bug 4584, 'Compose window causing Claws to terminate
		     unexpectedly'
	• bug 4589, 'Edit Group Details panel wording unclear.'
	• bug 4615, 'Compilation fails with --disable-gnutls'
	• bug 4620, 'German translation of Content-Transfer-Encoding
		     adds unwanted colon'
	• bug 4628, 'typos in the README file'
	• bug 4630, 'Fancy loads remote images when remote content
		     is disabled'
	• bug 4636, 'Handle non-ascii characters in server response'
	• AddressKeeper plugin: not saving addresses.
	• Perl plugin: building with perl v5.35.2 or greater.
	• AttRemover plugin: filenames would not be shown and corrupt
	  the output
	• OAuth2: Use the user-configured timeout
	• 'save all' dialogues' logic.
	• Make custom headers compliant with RFC 2822 § 3.6.
	• correctly set modified flag after auto-save
	• NNTP account's SMTP server wasn't used
	• building with older GLibs

* 4.1.0 / 3.19.0  [2022-04-03]
------------------------------

* Text zooming in the Message View is now possible, using CTRL+mouse
  wheel up/down, CRTL+touchpad two-fingered vertical swiping, or
  the Message View's right-click menu.

* GtkColorChooser is now used in the Spell Checking preferences,
  Colour Label preferences, and the folder Properties pages.

* 'Default From:' has been added to the Compose page of the folder
  Properties. This allows setting an email address which will
  override the Account's email address.

* An option has been added to the 'General' page of the folder
  Properties, 'Skip folder when searching for unread or new
  messages', so that the folder can be skipped when using Go To
  next/previous unread/new message.

* 'By Sender' has been added to '/Tools/Create filtering rule/...'
  and '/Tools/Create processing rule/...'

* The option 'Run processing rules before marking all messages in a
  folder as read or unread' has been added to
  '/Configuration/Preferences/Display/Summaries'.

* It is now possible to add a toolbar button to 'Run folder
  processing rules'.

* The Actions configuration list now has 'Top' and 'Bottom' buttons.

* In '/Tools/List URLs' it is now possible to CTRL+c or right-click
  a list item and 'Copy URL'; copying multiple selections is also
  possible.
  Phishing URLs are now indicated in red by default. This uses the
  colour defined in the hidden preference, log_error_color.

* The method of handling Tags has been improved.

* When using the separate Message View the Enter key will open the
  currently selected message in the Message List. So, for example,
  if you delete the current message, pressing Enter will open the
  next message without having to leave the separate Message View.

* The quicksearch type-ahead keypress delay is now customizable
  using a hidden preference ("qs_press_timeout").

* Improvements to the storage of OAuth2 refresh tokens.

* A "View all" button has been added to the Themes preferences page
  in order to preview all icons of a theme.

* The term 'master passphrase' has been replaced in the UI with
  'primary passphrase'.

* The label 'SSL/TLS' has been replaced with 'TLS' in the UI.

* chmod 0600 is set on log files, history files, saved parts, etc.

* "Keyword Warner" plugin has been added. This shows a warning when
  sending or queueing a message and a reference to one or more
  user-defined keywords are found in the message text.

* Adding a new RSSyl feed or subscribing to a Webcal will
  automatically suggest using any suitable URI found on the
  clipboard.

* The user manuals have been updated.

* Updated translations: Brazilian Portuguese, British English,
  Catalan, Czech, French, Indonesian, Polish, Romanian, Russian,
  Slovak, Spanish, Turkish.

* bug fixes:
	o bug 4312, 'litehtml plugin loops (hangup)'
	o bug 4346, 'Error: Certificate is for invalid2.invalid, but
		     connection is to imap.gmail.com'
	o bug 4442, 'vcalendar segfault if in invitation email and
		     switch to another folder'
	o bug 4495, 'Improve text strings for OAuth2'
	o bug 4496, 'Fancy crashes when opening an email'
	o bug 4511, 'Uses deprecated ghostscript operator'
	o bug 4513, 'msg window too small in 3 column layout'
	o bug 4517, 'Thread safety issues in signature checking code'
	o bug 4524, 'Problems exiting/closing Claws Mail'
	o bug 4534, 'Address book causing claws to terminate
		     unexpectedly'
	o bug 4535, 'Setting msgview_date_format=1 does not work'
	o bug 4536, 'Tab for address selects second entry'
	o bug 4556, 'Filesize in kilobytes versus kibibytes'
	o bug 4577, 'Fancy plugin with GTK3 seems to ignore content
		     encoding'
	o when using 'hide_timezone' use UTC when generating
	  MessageID
	o non-translation of some button labels
	o the initial position of the (X-)Face image
	o return receipts from accounts without a name
	o folderview pixmaps not being updated after icon theme
	  change until restart
	o spell checker underlining when black is chosen
	o text on various buttons
	o scrolling in a message's attachments bar (scrolling left or
	  right were scrolling down).
	o scrolling not working when GTK smooth scroll is set
	o scroll to next/prev page in pdf_viewer
	o build error with -Werror=format-security
	o invalid crypto engine (gpgme_op_verify failed)
	o vCalendar tooltip in Day View showed the wrong month.
	o View Log button
	o when closing Compose window dialogue requesting choice from
	  user is not shown and some options are lost in drafted copy
	o weird logic with the 'Edit filter action' dialog
	o resource leaks; memory corruption

* 4.0.0 / 3.18.0  [2021-07-10]
------------------------------

* Support for the OAuth2 authorisation protocol has been added for
  IMAP, POP and SMTP using custom, user-generated client IDs.

  OAuth2 preferences are found in the Account Preferences on the
  Receive page (for POP: Authenticate before POP connection, for
  IMAP: Authentication method); the Send page (SMTP authentication:
  Authentication method); and on a dedicated OAuth2 page.

* The option 'Save (X-)Face in address book if possible' has been
  added to the /Message View/Text Options preferences page.
  Previously the (X-)Face would be saved automatically, therefore
  this option is turned on by default.

* The Image Viewer has been reworked. New options have been added to
  /Message View/Image Viewer: when resizing images, either fit the
  image width or fit the image height to the available space.
  Fitting the image height is the default. Regardless of this
  setting, when displaying images inline they will fit the height.

  When displaying an image, left-clicking the image will toggle
  between full size and reduced size; right-clicking will toggle
  between fitting the height and fitting the width.

* When re-editing a saved message, it is now possible to use
  /Options/Remove References.

* It is now possible to attempt to retrieve a missing GPG key via
  WKD.

* The man page has been updated.

* Updated translations: Brazilian Portuguese, British English,
  Catalan, Czech, Danish, Dutch, French, Polish, Romanian, Russian,
  Slovak, Spanish, Traditional Chinese, Turkish.

* bug fixes:
	o bug 2411, 'quicksearch_history content partially written to
		     stdout'
	o bug 4326, 'Xft.dpi != 96 messes with text display in
		     litehtml viewer'
	o bug 4394, 'folder processing runs on startup even if all
		     rules are disabled'
	o bug 4431, 'folder chmod doesn't affect .claws_mark and
		     .claws_cache files'
	o bug 4445, 'Draft folder on shared storage does not honour
		     chmod settings'
	o bug 4447, '--enable-deprecated and --disable-deprecated
		     build flags have same effect'
	o bug 4455, 'Potential memory leak in string_table_new()'
	o bug 4473, 'segmentation fault opening Libravatar config'
	o stop WM's X button from causing GPG key fetch attempt
	o Make fancy respect default font size for messageview
	o harden link checker before accepting click
	o non-display of (X-)Face when prefs_common.enable_avatars
	  is AVATARS_ENABLE_RENDER (2)
	o debian bug #983778, 'Segfault on selecting empty 'X-Face'
	  custom header'

* 3.17.8
--------

* Shielded template's |program{} and |attach_program{} so that the
  command-line that is executed does not allow sequencing such as
  with && || ;, preventing possible execution of nasty, or at least
  unexpected, commands

* fixed bug 4376, 'Litehtml breaks locale'

* updated English, French, and Spanish manuals

* 3.17.7
--------

* Image Viewer: Image attachments, when displayed, are now resized
  to fit the available width rather than the available height.

* -d is now an alias to --debug.

* Libravatar plugin: New styles supported: Robohash and Pagan.

* SpamAssassin plugin: The 'Maximum size' option now matches
  SpamAssassin's maximum; it can now handle messages up to 256MB.

* LiteHTML viewer plugin: The UI is now translatable.

* The manual has been updated.

* The man page has been updated.

* Updated translations: French, Spanish.

* bug fixes:
	o bug 4313, 'Recursion stack overflow with rebuilding folder
		     tree'
	o bug 4372, '[pl_PL] Crash after "Send later" without
		     recipient and then "Close"'
	o bug 4373, 'attach mailto URI double free'
	o bug 4374, 'insert mailto URI misses checks'
	o bug 4384, 'U+00AD (soft hyphen) changed to space in
		     Subject'
	o bug 4386, 'Allow Sieve config without userid without
		     warning'
	o Add missing SSL settings when cloning accounts.
	o Parsing of command-line arguments.
	o PGP Core plugin: fix segv in address completion with a
	  keyring.
	o Libravatar plugin: fixes to image display.

* 3.17.6
--------

* It is now possible to 'Inherit Folder properties and processing
  rules from parent folder' when creating new folders with the
  move message and copy message dialogues.

* A Phishing warning is now shown when copying a phishing URL, (in
  addition to clicking a phishing URL).

* The progress window when importing an mbox file is now more
  responsive.

* A warning dialogue is shown if the selected privacy system is
  'None' and automatic signing amd/or encrypting is enabled.

* Python plugin: pkgconfig is now used to check for python2. This
  enables the Python plugin (which uses python2) to be built on
  newer systems which have both python2 and python3.

* Add translation: Greek.

* Updated translation: Polish.

* bug fixes:
	o bug 3922, 'minimize to tray on startup not working'
	o bug 4220, 'generates files in cache without content'
	o bug 4325, 'Following redirects when retrieving image'
	o bug 4342, 'Import mbox file command doesn't work twice on a
	  	     row'
	o fix STARTTLS protocol violation
	o fix initial debug line
	o fix fat-fingered crash when v (hiding msgview) is pressed
	  just before c (check signature)
	o fix non-translation of some Templates strings

* 3.17.5
--------

* Inline Git patches now have colour syntax highlighting
  The colours of these, and patch attachments, are configurable on
  the 'Other' tab of the Display/Colors page of the general
  preferences.

* The previously hidden preference, 'summary_from_show', is now
  configurable within the UI, on the 'Message List' tab of the
  Display/Summaries page of the general preferences, 'Displayed in
  From column [ ]'.

* 'Re-edit' has been added to the message context menu when in the
  Drafts folder.

* Additional Date header formats are supported:
  - weekday, month, day, hh, mm, ss, year, zone
  - weekday, month, day, hh, mm, ss, year

* LiteHtml viewer plugin: scrolling with the keyboard has been
  implemented.

* The included tools/scripts have been updated:
  o eud2gc.py converted to Python 3
  o tbird2claws.py converted to Python 3
  o tbird2claws.py converted to Python 3
  o google_search.pl has been replaced with ddg_search.pl (that is,
    duckduckgo.com instead of google.com)
  o fix_date.sh and its documentation have been updated 
  o multiwebsearch.pl 'fm' (freshmeat.net) has been removed; 'google'
    has been replaced by 'ddg'
  o the outdated OOo2claws-mail.pl script has been removed

* Updated manuals

* Updated translations: British English, Catalan, Czech, Danish,
  Dutch, French, German, Russian, Slovak, Spanish, Swedish,
  Traditional Chinese, Turkish

* bug fixes:
	o bug 2131, 'Focus stealing after mail check' [improved fix]
	o bug 4237, '403 is Forbidden not Unauthorized'
	o bug 4239, 'Preferences: Text Options Header Display modal
		     is not modal' [sic]
	o bug 4248, 'Sup[p]ort C99 compilers in m4/spamassassin.m4'
	o bug 4253, 'Claws metadata included in MBOX exports'
	o bug 4257, 'claws-mail 3.17.4 breaks copy-pasting from
		     emacs-gtk3'
	o bug 4277, 'INBOX being "read" automatically - being marked
		     as read before being selected' [sic]
	o bug 4278, 'Mark all as read/unread does not belong to the
		     message context menu'
	o bug 4305, 'goto folder UI confusing'
	o Fix crash in litehtml_viewer when <base> tag has no href
	o removed "The following file has been attached..." dialogue
	o MBOX import: give a better estimation of the time left and
	  grey out widgets while importing
	o Fixed "vcard.c:238:2: warning: ‘strncpy’ output truncated
	  before terminating nul copying as many bytes from a string
	  as its length"
	o RSSyl: Fix handling deleted feed items where modified and
	  published dates do not match
	o fix bolding of target folder
	o when creating a new account, don't pre-fill data from the
	  default account
	o respect 'default selection' settings when moving a msg with
	  manual filtering
	o Fix printing of empty pages when the selected part is
	  rendered with a plugin not implementing print
	o Addressbook folder selection dialogs: make sure folder list
	  is sorted and apply global prefs to get stripes in lists.
	o when user cancels the GPG signing passphrase dialogue,
	  don't bother the user with an "error" dialogue
	o Fix imap keyword search. Libetpan assumes keyword search is
	  a MUST but RFC states it is a MAY. Fix advanced search on
	  MS Exchange
	o fix SHIFT+SPACE in msg list, moving in reverse
	o revert pasting images as attachments
	o Fix help about command-line arguments that require a
	  parameter.
	o Printing: only print as plain text if the part is of type
	  text
	o fix a segfault with default info icon when trying to print
	  a non-text part.

* 3.17.4
--------

* New HTML viewer plugin: Litehtml viewer

* Added option 'Enable keyboard shortcuts' to the 'Keyboard
  shortcuts' frame on /Configuration/Preferences/Other/Miscellaneous

* Compose: implemented copying of attached images to clipboard

* Compose: images and text/uri-list (files) can now be attached by
  pasting into the Compose window

* Python plugin: window sizes are now remembered for the Python
  console, the 'Open URLs' and the 'Set mailbox order' windows.

* Fancy plugin: the download-link feature now follows redirections

* MBOX export: the Enter key in the dialogue now starts the export

* The date (ISO format) has been added to log timestamps

* Updated translations: Brazilian Portuguese, Catalan, Czech, Danish,
  Dutch, French, German, Hungarian, Indonesian, Polish, Portuguese,
  Romanian, Russian, Slovak, Spanish, Swedish, Traditional Chinese,
  Turkish

* bug fixes:
	o bug 1920, 'No automatic NNTP filtering'
	o bug 2045, 'address book blocks focus on email window'
	o bug 2131, 'Focus stealing after mail check'
	o bug 2627, 'Filtering does not work on NNTP'
	o bug 3070, 'misbehaving text wrapping when URL chars are
		     present'
	o bug 3838, 'Canceled right-click on message list leaves UI
		     in inconsistent state'
	o bug 3977, 'Fix crashes when some external APIs fail'
	o bug 3979, 'Hang (with killing needed) during action which
		     extracts attachments'
	o bug 4029, 'segfault after deleting message in a window'
	o bug 4031, 'fingerprint in SSL/TLS certificates for ...
		     (regress error)'
	o bug 4037, 'Fix some small issues'
	o bug 4142, 'Translation error on Russian'
	o bug 4145, 'proxy server for sending doesn't work'
	o bug 4155, 'remember directory of last saving'
	o bug 4166, 'corrupted double-linked list'
	0 bug 4167, 'Max line length exceeded when forwarding mail'
	o bug 4188, 'STL file is sent not as an attachment but as its
		     base64 representation in plaintext'
	o CID 1442278, 'impossible to trigger buffer overflow'
	o Make key accelerators from menu work in addressbook window
	o save checkbox choices of display/summaries/defaults prefs
	o Do not throw an error when cancelling 'Save email as...'.
	o occasional crash on drag'n'drop of msgs
	o possible stack overflow in vcalendar's Curl data handler
	o crash when LDAP address source is defined in index, but
	  LDAP support is disabled
	o crash in Fancy plugin if one of the MIME parts has no
	  Content-ID
	o a few small memory leaks in scan_mailto_url()
	o configure script for rare cases where python is not
	  installed
	o incorrect charset conversion in sc_html_read_line().
	o markup in 'key not fully trusted' warning in pgpcore
	o use after free in rare code path in rssyl_subscribe()
	o several memory leaks
	o verify_folderlist_xml() for fresh starts
	o printf formats for size_t and goffset arguments.
	o alertpanel API use in win32 part of mimeview.c
	o pid handling in debug output of kill_children_cb()
	o incorrect pointer arithmetic in w32_filesel.c

* 3.17.3
--------

* Add support for TLS Server Name Indication (SNI). This enables the
  sending of your hostname, if available, to the server so that it
  can select the appropriate certificate for your domain. This is
  useful for servers which host multiple domains on the same IP
  address.
  This is a hidden Account preference, 'use_tls_sni', and is enabled
  by default.

* SSL/TLS certificate manager: The Delete key will now delete the
  selected certificate.

* Window sizes are now remembered for the 'Apply tags' and SSL/TLS
  certificate manager windows.

* bug fixes:
	o bug 3519, 'Links including umlauts are broken'
	o bug 4134, ''Save message to' option not set when it should
		     be'
	o prevent the Tools/SSL/TLS Certificates dialogue from
	  crashing when certificate filenames contain a fingerprint.
	o build on GNU Hurd.
	o various build fixes when building without GnuTLS.

* 3.17.2
--------

* Message List: A context menu has been added to the column headers,
  it has two entries: a new option, 'Lock column headers', and 'Set
  displayed colums'.

* Folder List:  A context menu has been added to the column headers,
  containing 'Set displayed columns'.

* Preferences: The Display/Summaries option page has been split into
  three notebook pages: Folder List, Message List, and Defaults.
  The Message List page contains the new 'Lock column headers'
  option. The Defaults page contains several new options for new
  folders.
  
* New Folder Properties: It is now possible to control signing and
  encrypting options on the Compose page. By default it follows the
  Account preferences, but they can be overridden to always sign
  and/or encrypt, or never sign/encrypt.

* Saving sent messages: The global preference, 'Save sent messages',
  can now be overriden by the Folder Property and Account
  preferences. The global preference no longer needs to be activated
  for the Account Preference, 'Put sent messages in ...' option to
  function. Likewise, the Folder Property, 'Save copy of outgoing
  messages to this folder instead of Sent', no longer relies on the
  global preference being set.

* SSL/TLS certificates: The SHA-256 fingerprint is now displayed, and
  the MD5 fingerprint has been removed.

* SSL/TLS certificates list: Status and Expiry columns have been
  added, and expired and invalid certificates are now clearly
  indicated.

* QuickSearch: body searches are now quicker.

* QuickSearch: symbols used in Extended searches are now expanded
  in the 'Edit' dialogue.

* Re-editing: Flags and tags are now preserved when re-editing a
  message.

* Fancy plugin: The minimum required webkitgtk version is now 1.10.0.

* PDF Viewer plugin: Ctrl+scroll now zooms.

* Tools: added cm-break.pl script, which breaks thread references for
  the selected messages; textviewer.pl has been updated and now
  requires perl 5.14.1.

* The legacy "sylpheed-claws" symlink is no longer installed in the
  bindir.

* New translation: Portuguese.

* Updated translations: Brazilian Portuguese, Catalan, Czech, Danish,
  Dutch, French, German, Russian, Slovak, Spanish, Swedish, Turkish.

* bug fixes:
	o bug 3418, 'Building on a Cross Compiling toolchain doesn't
		     work'
	o bug 3889, 'Address and quoted message inconsistent in
		     reply'
	o bug 4114, 'autogen.sh: Fix argument quoting'
	o bug 4115, 'autogen: avoid unwarranted re-configure'
	o bug 4120, 'New cert files are created in $HOME instead of
		     in ~/.claws-mail/certs'
	o byg 4121, 'Moving a subfolder in another folder erases its
		     processing rules' (sic)
	o bug 4132, '"Mark all as (un)read" dialog appears when
		     acting on 1 message only'
	o bug 4133, 'trying to read message from an NNTP group (with
		     all expired articles.'
	o regression where mail was not being checked at startup when
	  it should have been
	o links not being opened in browser when Fancy menu is opened
	  with a keyboard
	o show correct address:port in SOCKS5 proxy connection failure
	  message
	o prevent unexpected loss of drafted message
	o Quicksearch eating keypresses it didn't handle
	o build on Debian 7
	o build on FreeBSD, sys/wait.h is needed for WEXITSTATUS
	  macro
	o Reply from mainwindow menu and toolbar when mainwindow's
	  messageview is hidden
	o CID 1438531 Fix wrong test leading to dead code
	o CID 1439871 and validate Unicode char strictly
	o CID 1439996 and remove unnecessary comparison
	o Fancy: left-click on links not opening in browser
	o RSSyl: lost processing rules when renaming folder
	o annoyance where your current reading is disturbed when a
	  new msg is filtered into the current folder
	o don't leave the user in limbo when privacy system is 'none'
	  and auto signing/encrypting is set
	o several memory leaks

* 3.17.1
--------

* bug fixes:
	o bug 4072, 'Crash when clicking 'reply' or 'reply with
	  quote''
	o Account signature: Warn and fail rather than crashing when
	  format string is faulty.

* 3.17.0
--------

* the minimum GLib requirement is now 2.28.

* the mimimum GTK+2 requirement is now  2.24.

* nettle is now required, following removal of libcrypt from glibc.

* explicit use of --disable-gnutls is now required if gnuTLS support
  is not required.

* SOCKS proxy support has been added.
  Global settings can be found on the Mail Handling/Proxy page.
  This can be overridden by Account settings on the new Proxy page.

* Accounts can now have their own auto-check intervals, or follow the
  global interval.

* in the options for 'default selection when entering a folder',
  'first [...]' has been renamed to 'oldest [...]', and
  'newest [...]' items have been added.

* Message List: when changing sort key by clicking column header,
  the sort direction is now preserved

* Message View: keypress handling for scrolling, (PgUp/Down, Space,
  Backspace), has been improved.

* the Network Log now displays output from LDAP operations.

* "Go to last error" has been added to the Log Window context menu.

* Filtering/Processing: "mark_as_spam" is no longer a final action,
  since it does not move the marked message.

* Filtering/Processing: Resent-From and Resent-To have been added in
  Any/All header(s) (in Address Book) matcher rules.

* when a Return-Receipt request is received by an unknown address,
  the user is now required to choose which Account to send it from.

* Colour Labels: confirmation is asked for when clearing or
  overriding existing colour labels.

* Address Book: basic contact merging has been added.

* NetworkManager support: ported from libnm-util/libnm-glib to libnm.

* Dillo plugin: this HTML rendering plugin is now once again
  available.

* RSSyl plugin: the modified time is no longer considered when
  matching deleted items.

* RSSyl plugin: Handle 404 and other fetch failures better.

* Attachment Remover plugin: the user is now notified about what has
  been done when processing multiple selections.

* SpamAssassin plugin: added support for compression (the server must
  have compression enabled, and the local spamc too).

* SpamAssassin plugin: disabled SSLv3.

* when using the hidden preference, hide_timezone, the time in the
  Date header is converted to UTC.

* various other UI improvements.

* many behind-the-scenes improvements.

* updated translations: Brazilian Portuguese, Catalan, Czech, Danish,
	Dutch, Finnish, French, German, Hungarian, Norwegian Bokmål,
	Romanian, Russian, Slovak, Spanish, Swedish, Traditional
	Chinese, Turkish.

* bug fixes:
	o bug 3754, 'interactive auth dialogs pops endlessly'
	o bug 3919, 'manual filtering does not move spam'
	o bug 3936, 'LDAP StartTLS does not work for addressbooks'
	o bug 3947, 'Build break with --disable-libsm
	             --enable-crash-dialog'
	o bug 3957, 'Claws-Mail 64bit crashes when saving a draft'
	o bug 3960, 'Sends unencrypted emails when encryption fails'
	o bug 3971, 'Deleted rss feed item reappears as unread on
		     feed refreshing'
	o bug 3973, ''select all' in summaryview does not
		     automatically focus the summaryview'
	o bug 3978, '"From" column displays both name and email
		     address for Outbox'
	o bug 3984, 'Copy-paste in find/filter field works
		     incorrectly'
	o bug 3985, 'an empty progress bar remains after POP mail 
		     check completes'
	o bug 3986, 'IMAP quick search using non-ASCII characters
		     creates an infinite loop'
	o bug 3993, 'Claws Mail connects to IMAP server when it
		     should not'
	o bug 4014, '"Work offline" doesn't seem to affect RSS'
	o bug 4022, 'Closing "Account Preferences" window opens "Edit
	 	     Accounts" window if "Edit Accounts" window has
	 	     been opened before at least once'
	o bug 4023, 'Fix some small issues'
	o bug 4033, 'Claws Mail crashes [malloc(): memory corruption]
		     while trying to save account password greater
		     than 136 chars'
	o bug 4056, 'Impossible to disable overriding of offline
		     mode'
	o bug 4058, '# in extended search description window should
		     not be translated'
	o bug 4068, 'Claws Mail hangs when getting news from a
		     certain feed'
	o actionsrc was not updated after mailbox name change
	o two crashes caused by bad GtkListStore management in
	  editaddress.c
	o wrong malloc of clamd_socket struct, (CID 1220477)
	o vCalendar: possible access to uninitilized folder pointer
	  (CID 1402515)
	o vCalendar: mismatch and unneeded display of unavailable
	  folder class in warning (CID 1434197)
	o vCalendar: Skip whitespace chars at the beginning of ics
	  stream
	o buffer overrun, always writing at buffer size + 1. (CID
	  1434188)
	o wrong use of pointer-to-array as an array CID 1434191)
	o sensitivity of few preferences widgets of the SA plug-in
	o compilation using --enable-generic-umpc
	o crash in quicksearch keypress handling
	o quoting in reply to format=flowed message
	o HTML <hX> header handling
	o 'sort_type' is lost when changing 'sort_key' from
	  /View/sort the bug was apparent with a descending sort
	o Return-Receipts: MDN mail-accountname leak
	o auth retry in Managesieve - wrong state variable was being
	  set
	o memory leaks

* 3.16.0
--------

* Preferences: for the 'default selection on entering a folder' on
  the Display/Summaries page, the first new, first unread, and first
  marked message options are now sort-order aware.

* Preferences: the previously hidden preference to 'Warn when sending
  to more recipients than []' has been added to the
  Mail Handling/Sending page.

* Preferences: Toolbars/Compose window: Sign/Encrypt toggle buttons
  can been added to the toolbar.

* Preferences: Fancy Plugin: allow stylesheet file/folder names to
  have spaces in them.

* Account Preferences: a 'Show password' checkbox has been added next
  to the password fields.

* Account Preferences: the OpenPGP and S/MIME preferences have been
  split into two separate pages.

* Account Preferences: newline characters are disallowed in account
  usernames and passwords, and warnings are shown to the user if this
  is attempted.

* Compose: more UTF-8 list-item characters have been added.

* Address book: a 'Show password' checkbox has been added next to the
  LDAP server 'bind password' field.

* GPG: full key/signature fingerprints are now shown instead of the
  short versions.

* SSL Certificate Manager: added support for ipv6 addresses.

* NNTP: Fetch XOVER and XHDR data in batches of 5000 and use the
  statusbar progress meter when opening/refreshing a NNTP folder.

* CLI: the --insert option has been added to --compose, to allow
  inserting files from the command line.

* Plugins window: keyboard shortcuts to Load/Unload buttons have
  been added.

* PDF Viewer Plugin: a print button has been added.

* The HTML parser now supports all entities.

* Tools: a simple bash completion helper has been added,
  tools/bash_completion/claws-mail.

* Updated translations: Brazilian Portuguese, Catalan, Czech, Danish,
	Dutch, Finnish, French, German, Hungarian, Italian,
	Norwegian Bokmål, Russian, Slovak, Spanish, Swedish, Turkish.

* New translations: Japanese, Polish, Romanian.

* Bug fixes:
	o bug 3266, 'procmime.c: FILE leak in specific circumstances'
	o bug 3784, 'Very similar strings in src/gtk/about.c'
	o bug 3793, 'Segfaults when master passphrase dialog is
		     launched in the middle of autocompletion'
	o bug 3795, 'Fix typo in utils.c'
	o bug 3796, 'Fix format-security warnings in alertpanel_ use'
	o bug 3797, 'Unfold quoting renders quotes completely
		     confusing'
	o bug 3801, 'Broken auto wrapping'
	o bug 3808, 'vCalendar plugin does not load due to undefined
		     symbol icaltime_from_timet'
	o bug 3813, '"mouse up" activates link even if "mouse down"
		     occurred outside the link / cannot copy link
		     text'
	o bug 3814, 'end of mouse drag or text selection erroneously
		     activates links'
	o bug 3819, 'Duplicate definition of global pygtk symbols'
	o bug 3821, 'Potential security issue with libetpan code in
		     mailmbox plugin'
	o bug 3916, 'message view shows wrong message contents'
	o bug 3843, 'Non-functional "Change to..." command in
		     Spelling menu'
	o bug 3852, 'delete header entry button doesn't restore
		     colour'
	o bug 3881, 'Hide Read Threads eats emails'
	o bug 3886, '"About to send mail to 2 recipients" warning
		     when one of them is Reply-To'
	o bug 3892, 'build fails with enchant-2.1.0'
	o bug 3893, 'Text mode open/copy web links ignores trailing
		     tilde(s)'
	o bug 3924, 'Fix configuration of sieve plugin on FreeBSD
		     (segfaulted)'
	o bug 3931, 'segfault searching server with master password'
	o off-by-one error in textview's quote unfolding
	o Make sure outgoing messages have a trailing newline
	o 'add_to_addressbook' filtering action correctly add the
	  name
	o improved handling of bad filenames get_serverport() in
	  ssl_manager.c
	o building against older webkitgtk versions
	o crash in mailimf_group_parse() in mailmbox plugin
	o missing invalid regexp indication in folder preferences.
	o truncated input widgets in preferences window
	o ignore_thread not marking complete thread
	o buffer length handling in GnuTLS password encryption and
	  decryption
	o many memory leaks

* 3.15.1
--------

* Bug fixes:
	o bug 3348, 'Contact pictures not deleted when contact is
		     deleted'
	o bug 3721, 'Fails to build in Debian kfreebsd-*'
	o bug 3744, 'Crash upon deleting tags.'
	o bug 3822, 'AttRemover deletes message and fails to create
		     new one when disk is full'
	o bug 3828, '"Re-edit" should not recycle the Message-ID
	  	     header'
	o bug 3835, 'autogen.sh fails with invalid test on line 33'
	o bug 3855, 'segfault at startup with old profile and IMAP
		     account'
	o bug 3866, 'slibtool causes compile failure'
	o fix crash in sieve manager window when no account has sieve
	  enabled.
	o fix incorrect labels in folder selection dialog.
	o fix RSSyl feeds getting renamed to "Untitled feed".
	o fix Resent-Date value.
	o Fix typo around libarchive in configure.ac.

* 3.15.0
--------

* More granular options on when to open a selected message have been
  added. There are now several checkboxes on the Display/Summaries
  page of the Preferences which allow a greater flexibility.

* Compose window: Show the total size of attachments on the
  Attachments tab.

* Compose window: Bcc has been added to the headers drop-down list.

* Folder list: Top-level folders can now be copied.  They are created
  as regular folders in the target mailbox.

* Folder selection dialogue: Left/right keys collapse/expand rows.
  Further keypress will move the cursor to parent or first child,
  respectively.

* Menu items: 'Mark all unread [recursively]' has been added to the
  folder context menu, message list menu, and the main window menu
  and toolbar.

* Toolbar actions: Mark, Unmark, Lock, Unlock, Mark [all] read, Mark
  [all] unread, Ignore Thread, Watch Thread, and Delete Duplicate
  Messages have been added to the main window toolbar's Actions list.

* Account compose signature: The value of the signature file now
  takes a path relative to the user's home directory in addition to a
  full path.

* Icon Themes: Support for SVG themes with icon scaling capabilities
  has been added. This requires libRSVG 2.40.5 or newer.

* Hidden preferences: colours for specifying Tags, QuickSearch, and
  auto-filled header values have been added, both foreground and
  background. Respectively, tags_color, tags_bgcolor,
  qs_active_color, qs_active_bgcolor, qs_error_color,
  qs_error_bgcolor, default_header_color, and default_header_bgcolor.

* Hidden preferences: warn_sending_many_recipients_num, if greater
  than zero, a warning dialogue is shown when the number of
  recipients exceeds the number given.

* GData plugin: This plugin now requires libgdata version 0.17.2 or
  newer.

* TNEF parser plugin: This plugin now uses an external libytnef.

* vCalendar plugin: This plugin now uses an external libical, version
  2.0.0 or newer is required.

* Mail Archiver plugin: - updated to support some of the compression
  formats up to libarchive 3.2.2

* Several minor UI improvements.

* Updated manual in English and Spanish.

* Updated man page.

* Updated translations: Brazilian Portuguese, Catalan, Danish,
  Dutch, French, German, Hungarian, Italian, Norwegian Bokmål,
  Russian, Spanish, Swedish, Traditional Chinese, and Turkish.

* Bug fixes:
	o bug 3251, 'A translated In-Reply-To header is sent
		     translated'
	o bug 3571, 'recipient list lost and truncated'
	o bug 3574, 'Template addressing'
	o bug 3582, 'Select folder dialogue does not tell what is
		     selecting for'
	o bug 3673, 'Be more friendly instead of "configure: error:
		     'encrypt'-function not found."'
	o bug 3734, 'undefined symbol error with flex-2.6.2'
	o bug 3740, 'Templates information dialog can't be closed
		     with WM button'
	0 bug 3741, 'Deleting an account doesn't delete imapcache'
	o bug 3742, 'Attaching file with plus sign in filename via
		     drag and drop doesn't work'
	o bug 3762, 'redirect fails'
	o bug 3764, 'Use external libical instead of the internal
		     copy'
	o bug 3775, 'Error in string at src/mainwindow.c:4726?'
	o bug 3777, 'Weird news dates for some RSS feeds'
	o Debian bug 846170, 'incorrect IMAP UID handling'
	o Allow sending empty messages in Session (just \r\n).
	o fix some main window menu sensitivity issues
	o make up/down key navigation obey 'always_show_msg'
	o fix text selection when double-clicking quoted text and
	  'collapse quoted text on double click' is turned off
	o fix 'Go to' moving off current, unopened msg, and dialogue
	  to go to next folder
	o obey 'always_show_msg' on "no more [...] msgs. go to next
	  folder?"
	o make Go to/[Next|Prev] sort order aware
	o don't ignore auto-account selection when forwarding on IMAP
	  and NNTP accounts
	o on first run, use --alternate-config-dir (if set) on prefs
	  migration. prevents useless creation of ~/.claws-mail
	  directory
	o fix colouring of auto-filled headers
	o don't remove the To when changing account
	o Honour autosave_encrypted preference when using external
	  editor.
	o Fix 'search folder' not working in some cases
	o Fix build on OSX.
	o fix memory leaks
	o when renaming folder, only update summaryview folder name
	  if the current folder is being renamed
	o sensitise trayicon's 'get mail' and 'exit'
	o Handle timezones correctly in vCalendar.
	o Do not hardcode resolv.conf location
	o fix building with --disable-deprecated

* 3.14.1
--------

* 'hide_timezone', a new hidden preference that sets the timezone of
  date fields sent over the network to the unknown timezone value as
  specified in RFC 5322 §3.3.  Default value is false (i.e., send
  available timezone information).

* 'rewrite_first_from', a new hidden preference which  works around a
  limitation of some servers with 'overly-liberal parsers'. When this
  is turned on and the Content-Transfer-Encoding is set to 8bit or
  7bit, in a message body starting with 'From ' the 'From ' will
  become '=46rom ' (i,e, encoded form of 'F') and the Content-
  Transfer-Encoding will be changed to Quoted-Printable. When it is
  turned off no such modification will be made but it is very likely
  that an MTA will convert the 'From ' to '>From '. See RFC 4155 for
  further details. Default value is '1', turned on.

* Templates: it is now possible to attach a file, using
  '|attach_output{sub_expr}' or '|A{sub_expr}', 'sub_expr' is
  evaluated as a command-line to get the filename name from, using an
  absolute /path/to/filename.

* IMAP mailboxes which show subscribed folders only are now indicated
  by a green folder icon.

* The Icon Legend has had the missing folder icons added and also has
  an improved layout.

* Drafted messages: Do not add Message-ID for draft, unless the
  message already has one. A Message-ID header is now only added when
  queuing a message, and any existing Message-ID and References
  headers in drafts, if there are any, are kept.

* Disable hiding threads and messages in draft folders.

* The /View/Go to/... actions now respect the 'Open message when
  selected' option.

* In the UI 'POP' is used instead of 'POP3', 'IMAP' instead of
  'IMAP4', 'SSL/TLS' instead of 'SSL'.

* GnuTLS: Enforce "strong enough" Diffie-Hellman prime even when
  using older versions of GnuTLS library.

  Since GnuTLS 3.1.7, this minimum size is dictated by the priority
  string, and currently (GnuTLS 3.3.0) the "safe-enough" value is
  1008 bits. We set this minimum size explicitly for older GnuTLS
  versions.

  Users who are affected by this (their servers use DH prime smaller
  than 1008 bits) can override this by using a priority string
  starting with the keyword "LEGACY". However, this keyword only
  works with GnuTLS 3.3.0 or newer.

* RSSyl plugin: Enable keeping old items by default.

* vCalendar plugin: The ics file name is now used for the WebCal
  subscription folder name.

* vCalendar plugin: Use hours/minutes for vcalendar alert time.

* Notification plugin: Add support for unity/messaging menu.

* PDF Viewer plugin: The icons are now themeable.

* Updated manual in English and Spanish.

* Updated translations: Brazilian Portuguese, Catalan, Czech, Danish,
  Dutch, Finnish, French, Hebrew, Indonesian, Italian, Norwegian
  Bokmål, Russian, Slovak, Spanish, Swedish, Traditional Chinese,
  and Turkish.

* Bug fixes:
	o bug 2918, 'Notification Popup icon is hardcoded'
	o bug 3207, 'Claws segfaults when closing LDAP-enabled
		     address book'
	o bug 3515, 'Ctrl-Shift-X opens multiple external editors'
	o bug 3638, 'GData Plugin fails after initial Google
		     handshake'
	o bug 3665, 'Fix config script for macOS'
	o bug 3666, 'Typos in Turkish translation'
	o bug 3667, 'segfault in imap_session_authenticate'
	o bug 3675, 'RSSyl crash when opening Atom feed'
	o bug 3676, 'RSSyl crash when opening Atom feed with XML
		     depth >= 3'
	o bug 3678, 'Segfault when trying to add new account'
	o bug 3684, 'Socket error with POP3 using TLS client
		     certificate'
	o bug 3697, 'Export to mbox' causes crash'
	o bug 3705, 'active account Mail Address corrupted when
		     address in Message-ID is used'
	o bug 3711, 'Usage of (s)'
	o bug 3712, 'Name of the example domain in the translation'
	o fix non-resizeable Icon Legend dialogue
	o Fix a potential bug in vcalendar's libical
	o Fix potential crash in vcalendar's icalcomponent_vanew() on
	  64-bit archs.
	o Fix regression: show simple text/calendar with plugin.
	o Fix crash in vcalendar passwords handling on prefs save.
	o Few miscellaneous fixes for RSSyl.
	o several memory leaks.
	o Don't check for encrypt() on FreeBSD.
	o Add OpenBSD CA cert path.
	o Do not process folder marks when just refreshing
	  summaryview

* 3.14.0
--------

* Passwords can now be secured with a Master Passphrase.
  (/Configuration/Preferences/Other/Miscellaneous/)

* Passwords: The password storage method has changed. All passwords
  are now stored in a separate file, (~/.claws-mail/passwordstorerc),
  and use a stronger encryption than previously. Existing passwords
  are moved to the new file automatically, in the old format. The
  new format will be used whenever old passwords are changed or when
  a Master Passphrase is used. All new passwords are saved using the
  new format, irrespective of whether a Master Passphrase is used or
  not. Further information can be found here:
  http://www.claws-mail.org/doc/password_encryption.txt

* Compose window: Removed the outer scrollbar from header area.

* Message view: The HTML to plain text converter now indicates list
  items with a hyphen (-), adds a line break after <dd>, and indents
  text within blockquotes.

* Main window: Changed default /View/Show or hide/Menubar shortcut to
  Ctrl+F12.

* SSL certificates list: Added automatic scrollbar.

* Address book: Double-clicking datasources now opens the edit
  dialogue. 

* Forwarding: The external editor is now automatically used when
  forwarding as attachment, if the preference is set.

* Preferences: Automatic mail checking can now be configured in
  hours, minutes and seconds.
  (/Configuration/Preferences/Mail Handling/Receiving)

* Preferences: The 'next_on_delete' hidden preference now applies to
  trashing or moving, in addition to deleting, a message.

* Command line: Added -geometry to set geometry for main window.

* IMAP: Added SASL 'PLAIN' and 'LOGIN' authentication methods for
  accounts. Renamed the old plaintext 'LOGIN' to 'plaintext'.

* IMAP: The acccount preference, 'Move deleted mails to trash and
  expunge immediately' has been removed.

* Notification plugin: Added 'Get mail from account...' to the
  SysTray module's menu.

* Notification plugin: Focus the widget between iconify/deiconify
  events.

* Tools: Added tools/cm-reparent.pl, which can be used to fix thread
  parenting for two or more messages.

* Documentation: Updated man page and manual.

* Translations: Updated: Brazilian Portuguese, Catalan, Czech, Dutch,
			 Finnish, French, German, Hungarian, Italian,
			 Slovak, Spanish, Swedish, Traditional
			 Chinese.
		Added: Danish, Indonesian, Turkish.
		Dropped: Lithuanian (unmaintained)

* Bug fixes:
	o bug 2518, '"Reply-All" message from NNTP-account does not
		     contain CC'ed correspondents'
	o bug 2781, 'Unsanitised Folder Creation'
	o bug 3028, 'Claws doesn't select html part if attachments
		     present'
	o bug 3213, 'Line break in subject of message'
	o bug 3573, 'Out of bounds read in macro LBREAK_IF_REQUIRED
		     in codeconv.c'
	o bug 3581, 'sys:1: Warning: Source ID # was not found when
		     attempting to remove it'
	o bug 3603, 'Feeds from Reddit are empty'
	o bug 3610, 'Heap use after free in
		     privacy_mimeinfo_check_signature()'
	o bug 3616, 'segfault setting up new CM in new userid'
	o bug 3623, 'Client crash on importing duplicated feed'
	o bug 3629, 'Invalid subject can distort message list view'
	o bug 3652, 'utils.c:4740:47: warning: ordered comparison of
		     pointer with integer zero [-Wextra]'
	o bug 3653, 'Upgrading from Mageia5 default (3.11.1),
		     3.13.2git tries to load 3.11.1 plugins'
	o bug 3658, 'Passphrase ignored during keypair generation
		     with gpg2'
	o include Reply-To value when using 'reply to all'
	o inputdialog modality and focus issue
	o fix Compose account selection when imap folder is selected.
	o set correct rcdir on Win32
	o Fix behavior in selecting PGP MIME signature on Windows.
	o RSSyl: typo in handling feed name ending with a period on
	  Win32
	o vCalendar: Handle ical lines longer than 256 bytes

* 3.13.2
--------

* Bug fixes:
	o bug 2358, '"Disposition-Notification-To:" should default
		     to same value as "From:'
	o bug 3557, 'Remotely exploitable bug.'
	o bug 3584, 'After 3.13.1, characters in some Japanese codec
		     are never correctly converted to internal ones'

* 3.13.1
--------

* When attaching files with no suffix, e.g. Makefile, the correct
  mime type is now found.

* Added support for a whole range of extra TLDs.

* '➜' is used instead of '-->' in the Message List when sender is
  yourself. (Only visible if the hidden pref 'enable_swap_from' is
  set to 0.)

* An external editor can now be embedded in the Compose window.
  This depends upon the 'Text editor' option (/Configuration/
  Preferences/Message View/External Programs) having a suitable
  value, such as 'gvim -f --socketid %w %s'.

* Address Book: address books can now be searched.

* A hidden pref has been added, 'next_on_delete'. This controls the
  message selection when a message is deleted. A setting of '0'
  which cause the previous, older message to be selected, a setting
  of '1' will cause the next, newer message to be selected.

* PDF Viewer plugin: Support for encrypted (password protected) PDFs.

* RSSyl plugin: The feed preferences window appearance has been
  improved.

* The --enable-new-addrbook configure option has been renamed to
  --enable-alternate-addressbook.

* Windows: Re-enabled regexps.

* updated man page.

* Updated translations: British English, Czech, Dutch, Finnish,
  French, German, Hebrew, Hungarian, Italian, Lithuanian,
  Norwegian Bokmål, Slovak, Swedish, Traditional Chinese.

* New translations: Russian.

* Removed translations: Bulgarian, Esperanto.

* Bug fixes:
	o bug 1959, 'Selection selects too many under expanded view'
	o bug 2490, 'Selecting mails through Shift-Home/End doesn't
		     work properly'
	o bug 3151, 'loaded vCalendar plugin "disables" gnome-shells
		     calendar view entries'
	o bug 3375, 'Crash (SEGV) at gtkcmctree.c:4514 after deleting
		     an unread message'
	o bug 3557, 'Remotely exploitable bug.'
	o bug 3454, (windows) 'Attachments containing certain special
		     characters in filename are not opened'
	o bug 3480, 'No valid feed found when channel title is
		     missing'
	o bug 3513, 'Can't delete multiple selected e-mails'
	o bug 3541, 'Selecting a leaf folder with keyboard no longer
		     opens it'
	o bug 3559, 'Opening preferences window causes out of bounds
		     read'
	o bug 3561, 'HTML <a> tag with no href makes message display
		     incorrectly.'
	o bug 3562, 'Hyperlink Errors URI XMPP, SIP, SIPS and Skype'
	o bug 3563, 'URL parser will read out of bounds when closing
		     bracket is missing in get_url_part'
	o bug 3566, 'Missing locales in Eastern name order'
	o Debian bug 801375, 'Segfault when activating ... the plugin
			      with the Code from Google'
	o better fix for crash after broken pgp keyring update, and
	  bogus EOF message on verifying sigs of missing keys
	o building on OpenBSD
	o libetpan version test
	o folder renaming for IMAP on Windows.

* 3.13.0
--------

* Preferences are now saved to disk immediately on pressing OK or
  Apply.

* New preferences have been added for default sorting of the message
  lists. They are found in the 'Message list' frame of the Display/
  Summaries page of the general preferences. These options only apply
  to newly created folders.

* The menu item 'Delete thread' has been moved to the Message menu.
  Previously clicking it would not delete the thread, but just move
  it to the Trash folder. Now it will delete the thread.
  An additional menu item has been added, 'Move thread to trash',
  which implements the original behaviour.

* Compose window: By default it is no longer possible to add user-
  defined headers, with only those pre-defined in the drop down menus
  being possible. To restore the old behaviour, a new hidden
  preference has been added: 'type_any_header', setting this to 1
  restores the old behaviour.

* Automatic account selection is now also applied when you reply to
  one of your own messages, e.g. from the Sent folder.

* Folder list: The Left and Right cursor keys now collapse or expand
  the currently selected folder tree item. The Left cursor key also
  moves the selection to parent folder, if current folder is within
  a collapsed tree.

* Folder list: The Home and End keys now move the selection to the
  first folder and last folder in the tree.

* Account Auto-configuration: when errors occur, a more detailed
  error message is shown.

* GnuPG plugins: An option has been added to specify the location of
  the GnuPG executable.

* GnuPG plugins: A new hidden preference has been added which limits
  the number of results returned when using your keyring for address
  auto-completion: 'autocompletion_limit'. The default value is 0,
  which means there is no limit, any other number will limit the
  results to that number.

* Python plugin: Folder has been added to MessageInfo objects.

* The GeoLocation plugin is no longer included.

* The user manual has been updated.

* The man page has been updated.

* Updated translations: Brazilian Portuguese, British English, Czech,
  Dutch, Finnish, German, Hebrew, Hungarian, Norwegian Bokmål,
  Slovak, Spanish, Swedish.

* New translations: Italian, Traditional Chinese.

* Removed translations:  Indonesian, Polish.

* Bug fixes:
	o bug 2115, 'Drag n' Drop of files with special characters
		     crashes CM'
	o bug 3209, 'autoconfig does not use full email address as
		     username'
	o bug 3253, 'all addresses of getaddrinfo() result should be
		     tried'
	o bug 3263, 'Wrong timezone while using date_fmt function'
	o bug 3296, 'Crash on double notification popup'
	o bug 3352, 'found_in_addressbook matches entries from GPG
		     keyring'
	o bug 3454, 'Attachments containing certain special
		     characters in filename are not opened'
	o bug 3473, 'base64 regression with old glib2 (before
		     2.26.0)'
	o bug 3475, 'Attachment dragged to email must be dropped to
		     attachment tab only - reggresion'
	o bug 3483, 'When replying to a *de*crypted message, it is
		     contained *encrypted* in reply'
	o bug 3507, 'build fails w/o GnuTLS'
	o bug 3516, 'vCard icon misplaced'
	o bug 3524, 'vCard does not decode all quoted-printable
		     values'
	o bug 3531, 'a/z hotkeys crash Claws immediately after
	             startup'
	o make 'date' (not thread date) the default sort when
	  clicking column header to switch to date sort.
	o Several memory leaks in RSSyl.
	o IPv6 now works on Windows, for connections not handled by
	  libetpan.
	o GPG preferences initialization.
	o Possible crash when gpg is upgraded to gpg-v21
	o Save temporary file in mime temporary directory when using
	  right-click/Open image instead of saving in current working
	  directory.
	o Crash in address completion when matching group name.
	o Correct handling of RFC3339 timestamp format with second
	  fraction.
	o Building on GLib older than 2.25.

* 3.12.0
--------

* New plugin: ManageSieve. Manage sieve filters on a server using
  the ManageSieve protocol.

* Filtering/Processing: increase range for age matcher condition.

* Filtering/Processing: 'mark_as_spam' now only marks as spam, it
  does not do an additional move.

* Compose window: From line gets its own label with mnemonic.

* Compose window: more intuitive right-click behaviour in attachments
  list.

* QuickSearch: 'Cc' added to the mixed search: From/To/Cc/Subject/Tag.

* Folder list: Added 'Mark all read recursively' to context menu.

* Support for Mac-cyrillic encoding.

* IMAP: Support for SCRAM-SHA-1 authentication mechanism.

* PGP plugins: Display validity of signatures

* Bogofilter plugin: 3rd spam handling option, 'Only mark as spam'.

* RSSyl plugin: Per-feed support for HTTP basic auth.

* GData plugin: minimum requirement: libgdata 0.17.1

* Several layout improvements to preferences pages.

* Updated user manual.

* Updated man page.

* Updated translations: Brazilian Portuguese, Catalan, Czech, Dutch,
  French, German, Hebrew, Hungarian, Norwegian Bokmål, Slovak, 
  Spanish, Swedish.

...and so much more!

* Bug fixes:
	o bug 1769, 'vCalendar timezone glitches'
	o bug 1901, 'More descriptive error msgs when attempting to 
		     delete a folder'
	o bug 2435, 'Infinite loop+crash when refreshing folders from
		     dovecot mbox based mailbox'
	o bug 2577, 'improve focus rectangle removal in summaryview'
	o bug 2601, '"if item changes... never mark as unread" marks
		     new items as read'
	o bug 2965, 'Encrypted mails are stored unencrypted in
		     'Queue' while sending via IMAP'
	o bug 2981, 'claws-mail-3.9.3 compilation warnings'
	o bug 3211, 'Fails to build in Debian hurd-i386'
	o bug 3321, 'revert "Remove unreachable code"'
	o bug 3345, 'Ability to choose other From values via keyboard
		     has been lost'
	o bug 3349, 'Unable to insert a file into a message during
		     compose.'
	o bug 3351, 'Two problems when re-sending a file with an
		     attachment'
	o bug 3354, 'Event cancellation uses incorrect method
		     parameter for Content-Type header'
	o bug 3364, 'segfault in src/prefs_account.c'
	o bug 3365, 'segfault in src/wizard.c'
	o bug 3380, 'Initialize widget before callback handler for
		     'clicked''
	o bug 3389, 'document 'F12' shortcut'
	o bug 3407, 'Pressing the "Date" column header to "sort by
		     date" causes all columns to have a sort arrow.'
	o bug 3419, 'Saving/appending messages to an mbox file
		     violates RFC#4155'
	o bug 3421, 'Recipients list doesn't scroll when moving with
		     arrow keys.'
	o bug 3432, 'Google ClientLogin has been deprecated, should
		     be migrated to OAuth 2.0'
	o bug 3438, 'Filter to add address to Addressbook duplicates
		     address in Name field'
	o bug 3466, 'address auto-complete does not work on plasma5'
	o Debian bug 771360, CVE 2010-5109
	o Debian bug 771737, 'Segfaults when trying to open folder'
	o Debian bug 779824, 'claws-mail depends on plugins 
			      libraries'
	o Fix LDAP access using TLS protocol
	o claws-mail.desktop installation
	o Compose window Subject mnemonic
	o Archiver plguin: compatibility with libarchive 2.8.x
	o Remove draft when cancelling a message written with an
	  external editor
	o Remove superfluous dynamic link against libarchive
	o Fix labels referring to 'SSL' instead of 'TLS'
	o Allow single-click to select mailboxes in the mailbox order
	  dialog.
	o tbird2claws.py: set encoding to UTF-8.

* 3.11.1
--------

* Use 'gnutls_priority' hidden account preference for POP3 and
  STARTTLS connections, in addition to SMTP.

* RSSyl plugin: Enable use of .netrc to store network credentials.

* Remove dependency on intltool.

* Remove appdata.

* Updated translations: Norwegian Bokmål.

* Bug fixes:
	o bug 3306, 'HTML tag  is not always rendered in error
		     dialog'
	o bug 3308, 'build ignores --localedir'

* 3.11.0
--------

* SSLv3 server connections are now disabled by default, in response
  to the POODLE vulnerability, see
  https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-3566.

* Several PGP/Core plugin improvements
  Indicate when a key has been revoked or has expired when displaying
  signature status. For example,
	"Good signature from %s, but the key has expired."
	"Good signature from %s, but the key has been revoked."
  When displaying the full information, show the Validity, and the
  Owner Trust level. Also indicate expired and revoked keys, and
  revoked UIDs.

  The "Content-Disposition: attachment" flag in PGP/MIME signed
  messages has been removed. It was confusing for cetain MUAs.

* A new version of the RSSyl plugin, completely redesigned and
  rewritten. Migration from the previous version is automatic,
  it has a new storage format in ~/.claws-mail/RSSyl/ (hierarchical
  directories instead of flat file format). It uses the expat
  library instead of libxml2 for parsing feed data.

* The results of TAB address completion in the Compose window have
  improved ordering.
	Order of results:
	1. Match beginning of name
	2. Match beginning of additional names
	3. Match complete email address before @
	4. Match beginning of email address
	5. Compare relative position of match
	6. Compare name alphabetically
	7. Compare address alphabetically.
	
* Due to popular demand, use of the Up key in the message body in the
  Compose window stops at the top of the message body and does not
  continue up to the header fields. This reverts the behaviour
  introduced in version 3.10.0.

* In the Compose window, when navigating with the arrow keys,
  selecting, and thus modifying, the Account selector is now
  prevented.

* In the Compose window, a mnemonic (s) has been added to the Subject
  line.

* The Queue folder is highlighted if there are messages in its sub-
  folders and the tree is collapsed.

* When sorting messages by 'thread date', clicking the 'Date' column
  header will now toggle between ascending/descending and will not
  switch to 'date' sorting.

* A new QuickSearch filter has been added that searches a header's
  content only.
  H S : messages which contain S in the value of any header.

* A Reply-To field has been added to the main Template configuration.

* The menubar can now be hidden, default hotkey: F12.

* Fancy plugin: A user-controlled stylesheet can now be used.

* Python plugin: Add flag attributes to MessageInfo object.

* Python plugin: Make 'account' property of ComposeWindow read/write.

* Libravatar plugin: a network timeout option has been added.

* appdata has been added for package managers, it must be
  specifically enabled, using ./configure --enable-appdata
  See http://people.freedesktop.org/~hughsient/appdata/ for further
  information.

* The tbird2claws.py script, for converting a Thunderbird mailbox to
  a Claws Mail mailbox, now handles sub-directory recursion.

* Updated translations: Brazilian Portuguese, Bulgarian, Dutch,
  Esperanto, Finnish, German, Hebrew, Lithuanian, Slovak, Spanish,
  and Swedish

* Bug fixes:
	o bug 3173, 'quick search ignores trailing blank'
	o bug 3211, 'Fails to build in Debian hurd-i386 architecture'
	o bug 3212, 'When msgnum matches a sub-folder name, fetch
		     fails'
	o bug 3221, 'IMAP: Claws Mail has issues with Yahoo IMAP
		     server/folders'
	o bug 3235, 'Extraneous double quotes inside base64-encoded
		     From header confuse 'Reply' action'
	o bug 3236, 'sc_html_parse_tag() does not recognize '
'
		     as line break'
	o bug 3246, 'attachment open: "remember this" ignored if
		     ~/.mailcap does not exist'
	o bug 3265, 'procmime.c: unbalanced flockfile() /
		     funlockfile()'
	o bug 3300, 'Cannot send/receive mail when SSL 3.0 is not
		     supported on the server'
	o Debian bug 755022, '[claws-mail-spam-report] likely useless
		     to report to Debian because of the use of http
		     instead of https'
	o Disable SSL3.0 entirely as a Poodle fix.
	o fix msg display when utf8_instead_of_locale_for_broken_mail
	  is turned off and you use a UTF-8 locale
	o fix building without gnuTLS support
	o Don't differentiate the protocols used when using direct
	  SSL/TLS versus STARTTLS
	o disallow editing any account (even current account) when at
	  least one compose window is open
	o Actually display "(No From)" in messageview's From column
	  when appropriate.
	o When changing focus in folderview, make sure the newly
	  focused folder is visible first.
	o various fixes to flaws reported by Coverity scan
	o PGP/Core plugin: Don't automatically re-check signatures
	o PGP/Core plugin: fix erroneous 'untrusted' msg based on
	  validity not trust
	o Make INBOX case-insensitive (as RFC states)
	o Python plugin: Fix ComposeWindow.get_account_selection

* 3.10.1
--------

* Add an account preference to allow automatically accepting
  unknown and changed SSL certificates, if they're valid (that is,
  if the root CA is trusted by the distro).

* RFE 3196, 'When changing quicksearch Search Type, set focus to
	     search input box'

* PGP/Core plugin: Generate 2048 bit RSA keys.

* Major code cleanup.

* Extended claws-mail.desktop with Compose and Receive actions.

* Updated Bulgarian, Brazilian Portuguese, Czech, Dutch, Esperanto,
  Finnish, French, German,Hebrew, Hungarian, Indonesian, Lithuanian,
  Slovak, Spanish, and Swedish translations.

* Bug fixes:
	o bug 2728, 'erroneous switching from one to three column
		     view'
	o bug 2981, 'claws-mail-3.9.3 compilation warnings'
	o bug 3170, 'QuickSearch fights with View/Hide read threads
		     menu option'
	o bug 3179, 'Win32: Please add 'gtk-auto-mnemonics = 1' to
		     GTK+ setting'
	o bug 3201, 'Fix memory corruption in sc_html_read_line()'
	o Debian bug 730050, 'vcalendar plugin crash'
	o Fix GCond use with newer Glib
	o Fix the race fix, now preventing the compose window to be
	  closed.
	o Fix "File (null) doesn't exist" error dialog, when
	  attaching a non-existing file via --attach
	o Fix spacing in Folderview if the font is far from the
	  system font
	o RSSyl: When parsing RSS 2.0, ignore <link> tags with a
	  namespace prefix.
	o RSSyl: Check for existence of xmlNode namespace, to prevent
	  NULL pointer crashes.

* 3.10.0
--------

* Complete SSL certificate chains are now saved, and if built with
  Libetpan 1.4.1, the IMAP SSL connection's certificate chain is made
  available. Both of these allow correct certificate verification
  instead of a bogus 'No certificate issuer found' status.

* Auto-configuration of account email servers, based on SRV records,
  is now possible. (GLib >= 2.22 is required.)

* Added a preference to avoid automatically drafting emails that are
  to be sent encrypted, (Configuration/Preferences/Compose/Writing).

* Messages saved as Drafts are now saved as New, highlighting the
  Drafts folder, in order to draw the attention to unfinished mails
  there.

* It is now possible to add a 'Replace signature' button to the
  Compose window toolbar.

* Quotation wrapping and undo/redo in the Compose window has been
  improved.

* 'Reply to all' now excludes your own address.

* The 'Generate X-Mailer header' option has been renamed 'Add user
  agent header' and applies to both X-Mailer and X-Newsreader
  headers.

* Added hidden preferences, 'address_search_wildcard' and 
  'folder_search_wildcard', to choose between matching from start of
  the folder name/address or any part of the name. (Activating these
  options restores the previous behaviour.)

* Added hidden preference 'enable_avatars' to control the internal
  capture/render process, and which allows disabling it by external
  plugins for example.

* 'Check for new folders' now only updates the folder list, not
  updating the contents of folders. If needed, it can be followed by
  'Check for new messages'
  
* When using Redirect, the redirecting account's address is used in
  the SMTP MAIL FROM instead of the original sender's address.

* NEW: Libravatar plugin, which displays avatars from
  https://www.libravatar.org/

* Added support for an arbitrary number and sources of 'avatars' and
  images for email senders, and migrated Face and X-Face headers.

* Avatars are now included when printing mails.

* The GPG keyring can now be used as the source for address auto-
  completion.

* The vCalendar and RSSyl plugins now have an option to disable SSL
  certificate verification (and check them by default).

* The ClamAV plugin now pops up an error message only once instead of
  repeatedly

* Updated the man page and the manual.

* Updated Brazilian Portuguese, British English, Czech, Dutch,
  Finnish, French, Hebrew, Hungarian, Indonesian, Lithuanian, Slovak,
  Spanish, and Swedish translations.

* Added Esperanto translation.

* Bug fixes:
	o bug 1644, 'race condition between message move and mark as
		     read after timeout'
	o bug 2119, 'Check for new folders on remote mailboxes is
		     very slow'
	o bug 2145, 'Claws becomes unresponsive and gets Killed while
		     moving messages between imap folders'
	o bug 2179, 'Improve quotation wrapping support'
	0 bug 2238, 'Incorrect undo/redo operations after paste with
		     replace from context menu'
	o bug 2389, 'GnuPG: invalid/revoked user IDs accepted'
	o bug 2398, 'Race when closing compose during drafting'
	o bug 2447, 'Compose window crashes if moving a folder that
		     is being replied to'
	o bug 2643, 'claws crash when accessing imap folder'
	o bug 2875, 'SMTP session disconnects before recieving'
	o bug 2991, 'POP3 sessions duplicated" on race conditions'
	o bug 3020, 'Use theme doesn't change some icons until
		     restart'
	o bug 3055, 'Claws segfaults when cancelling a sticky search
		     after changing folder'
	o bug 3038, 'Select a folder incorrectly matches on number in
		     parentheses'
	o bug 3039, 'displaying one specific html email lead in 100%
		     CPU usage'
	o bug 3040, 'Handle revoked GPG private keys'
	o bug 3050, 'Claws segfaults when attempting to delete a tag'
	o bug 3094, 'OK or Yes to create new directory ?'
	o bug 3100, 'Automatic account selection on reply fails if
		     name  is quoted and contains a comma'
	o bug 3105, 'vCal plugin via https does not check SSL peer
		     certificates or host'
	o bug 3106, 'rssyl plugin does not verify SSL peer at all'
	o bug 3107, 'Height of row in message list does not reflect
		     font size - three columns, small screen layout'
	o bug 3116, 'invalid DTSTART in ics subscription makes claws
		     crash'
	o bug 3117, 'full-day event shown from 01:00 to 01:00 next
		     day'
	o bug 3120, '"Error - File is empty" when redirecting mail
		     with empty parts'
	o bug 3131, 'Crash on reccurent events with no DTSTART'
	o bug 3138, 'PGP/Inline crashes on signature check if gpgme
		     failed to init'
	o bug 3139, 'Mainwindow unresponsive due to a busy loop'
	o bug 3145, 'Memory corruption in imap_disconnect_all'
	o bug 3146, 'Memory corruption when deleting a message from
		     folder'
	o bug 3147, 'verify_folderlist_xml() leaks memory'
	o bug 3148, 'Logic error in claws_get_socket_name()'
	o bug 3150, 'etpan_certificate_check() leaks memory'
	o bug 3155, 'Memory leaks found by Valgrind in
		     a9065aec26499a0e1294c73b6d9e6f039976521e'
	o bug 3169, 'threaded message list performance issue'
	o bug 3964, 'headers in wrong order -- file src/common/ssl.c'
	o Fix lots of memory leaks
	o Fix interference from liboverlay-scrollbar
	o Fix some typos
	o Fix some layout issues when user has large GTK font
	o Fix message search starting from end
	o Fix disappearing MIME icon highlight in mails with PGP
	  signatures
	o When autoselecting account for a new message, quoted
	  recipient names are handled better.
	o Python plugin: Also check for _PyGtk_API being a PyCapsule
	o MailMBOX plugin: Fix parsing UTC dates
	o vCalendar plugin: recognition of quoted parameter values,
		which are legal.
	o ClamAV plugin: Fix a format string error.

* 3.9.3
-------

* The TAB address completion in the Compose window now matches any
  part of the address and not just the beginning.

* When copying or moving a message, the type-ahead search now matches
  any part of a folder name and not just the beginning.

* It is now possible to replace the current signature in the Compose
  window by using the '/Message/Replace signature' menu item.

* It is now possible to disable the 'Subject is empty' warning
  dialogue. See the option 'Warn when Subject is empty' option on the
  '/Configuration/Preferences/Mail handling/Sending' page.
  
* When sending messages, if the hostname cannot be determined,
  fallback to 'localhost' rather than 'unknown', as the latter is
  rejected by some servers.

* Added better handling of messages from broken mailers, such as
  yahoo groups.

* PDF plugin: the minimum required version of poppler is 0.12.0.

* PGP/* plugin: long key IDs are now displayed in the dialogues
  instead of short IDs.

* PGP/* plugin: The automatic signature check is now non-blocking.

* Python plugin: can now access accounts, mailboxes, folder
  properties

* vCalendar plugin: webcals:// URLs are now treated as https://

* Translation updates: Brazilian Portuguese, Czech, Dutch, French,
  German, Hebrew, Slovak, Spanish, and Swedish.

* Support for Maemo has been removed.

* Bug fixes:
	o bug 2132, 'Keyboard accelerators for "Clear" and "Edit"
		     quick search conflict with top menus'
	o bug 2210, 'Display name with invalid addresses not quoted
		     when inserted from address book'
	o bug 2794, 'account privacy signing method ignored on reply'
	o bug 2923, 'build failure with perl 5.18'
	o bug 2940, 'Extended search dialog too small for content in
		     polish l10n'
	o bug 2954, 'Crash in "Save Image As" for HTML message'
	o bug 2957, 'Double-free in account preferences'
	o bug 2960, 'rfc3156 deviation regarding hash symbols'
	o bug 2961, 'Partial retrieval not available with PGP/Inline
		     encrypted messages'
	o bug 2964, 'Lack of escaping of nested double-quotes in To:
		     header'
	o bug 2979, 'claws fails to load (empty) folderlist.xml and
		     shows account wizard'
	o bug 2982, 'variable declaration behind FLOCK conditional'
	o bug 2986, 'Down and Delete buttons have same hotkey in
		     filtering config'
	o bug 2989, 'Segfault at startup because of corrupted
		     folderlist.xml'
	o bug 2994, 'translating folder name'
	o bug 2995, 'closing extended quick search information panel
		     triggers window focus bug'
	o bug 3002, 'undefined reference to check_file_integrity'
	o bug 3004, 'claws picks wrong mime type for attachments'
	o bug 3009, '"Rebuild folder tree" causes SIGSEGV if a
		     directory name isn't valid utf-8'
	o bug 3011, 'crash when using %f Action on two or more
		     uncached (IMAP) messages.'
	o bug 3021, 'Icon key_pgp_signed always shows as the default,
		     never the themed version'
	o debian bug 711864, 'claws-mail-vcalendar-plugin: when
			      creating meeting GTK_IS_COMBO_BOX_TEXT
			      failed'
	o Quote all specials in name as defined on RFC,
	  see http://tools.ietf.org/html/rfc5322#section-3.2.3
	o fix sensitivity and state of 'hide read threads'
	o Fancy plugin: disable DNS Prefetching when 'Enable loading
	  of remote content' is switched off
	o Bogofilter plugin: insert X-Bogosity header like the option
	  says, not X-Claws-Bogosity header

* 3.9.2
-------

* New big icon for compose windows.

* Bug fixes:
	o bug 2923 'build failure with perl 5.18'
	o Never decode multipart/* or message/* parts, as RFC states
	o add missing check for libperl
	o fix check for libsoup - it is not obligatory
	o Do not try to destroy a NULL session after an unsuccesful 
	  NNTP connect attempt.
	o The extraheaderrc format doesn't allow data after the
	  header colon. Other OSes may insert extra characters 
	  other than \n, so, remove them all.
	o fix undoing file insertion.
	o fix check for python.
	o fix detection of account in --compose and
	  --compose-from-file where the From value contains a name +
	  email.

* 3.9.1
-------

All plugins previously packaged as 'Extra Plugins' are now contained
within the Claws Mail package. In addition to that, the following
plugins have been dropped: TrayIcon, Dillo Viewer, and Gtkhtml2
Viewer.

This release contains the following plugins: ACPI Notifier, Address
Keeper, Attachment Remover, Attachment Warner, Bogofilter, BS Filter,
Clam AntiVirus, Fancy HTML Viewer, FetchInfo, gData, GeoLocation,
Mail Archiver, MailMBOX, New Mail, Notification, PDF Viewer, Perl,
PGP/Core, PGP/Inline, PGP/MIME, Python, RSSyl, SMime, Spam Report,
SpamAssassin, TNEF Parse, and vCalendar. 

* 3 command-line switches have been added:
  --cancel-receiving which cancels the currently running message
	retrieval operation
  --cancel-sending which cancels the currently running message
	sending operation
  --debug which toggles debug output.

* '/Message/Cancel sending' has been added to the main menu. 

* In the filtering and processing condition configuration for Age,
  it is now possible to match based on number of hours.

* The GnuPG signature timestamp is now displayed in the full
  signature information

* Support for GnuTLS priority string has been added. This is achieved
  via 2 hidden account preferences, gnutls_set_priority and 
  gnutls_priority. The former turning the option on or off, the
  latter containing the required priority string.

* Keep-alive pings are now performed on IMAP and NNTP connections.

* In the Compose window, the focus is now moved to the message body
  when focus is in the Subject entry and the Enter key is pressed.
  
* The Delete key can now be used to remove Colour Label hotkeys.

* PDF Viewer: The printed PDF quality has been improved.

* Fancy HTML viewer: The options dialogue has been completely
  reworked, and disabling remote content is now totally strict.
    		
* Python plugin: Added Cc field to messageinfo objects.

* Python plugin: Added examples.

* Python plugin: Added a function to get an arbitrary header from a
  MessageInfo object

* Perl plugin: The documentation for insert_perl.pl has been
  improved.

* Basic handling of vcard 3.0 has been added to vcard2xml.py.

* A Swedish translation has been added to claws-mail.desktop.
    		
* The man page has been updated.

* Updated translations: Brazilian Portuguese, Czech, Finnish, French,
  German, Hebrew, Hungarian, Lithuanian, Slovak, Spanish, Swedish

* Bug fixes:
	o bug 1137, 'loading plugins with same profile on different
		     archs'
	o bug 1684, 'view news messages with large attachements
		     segfaults'
	o bug 1963, 'Preferences Templates Information Window Focus
		     loss'
	o bug 2340, 'Create block list'
	o bug 2617, 'code cleanup'
	o bug 2624, 'dialog "Action Configuration" cannot be closed'
	o bug 2702, 'Support splitting subject line for small screen
		     layout'
	o bug 2774, 'Select folder/New Folder dialog - modal problem'
	o bug 2785, 'Marking mails for deletion reopens internal
    		     message view'
	o bug 2801, 'Filtering Header:Name list is blank/corrupt'
	o bug 2826, 'replace deprecated gnutls function'
	o bug 2828, 'Use MD5 digest for socket name'
	o bug 2832, 'mail to from adress-book splitt names'
	o bug 2835, 'add_address() in addr_compl.c should allow a
		     NULL name'
	o bug 2859, 'Newmail plugin doesn't work if Mail folder not 
		     present when it is loaded.'
	o bug 2862, 'Segmentation fault when replying to a message
		     where the "code conversion" fails'
	o bug 2863, 'Applying has_attachment quicksearch on IMAP
		     segfaults'
	o bug 2878 'bsfilter / folder.c:1435 Condition identifier
		    != NULL failed'
	o bug 2879, 'Plain text mails treated as encrypted'
	o bug 2882, 'Reverse preference for external content'
	o bug 2885, 'SIGSEGV in hooks_marshal at hooks.c:108'
	o bug 2890, 'html2ps required...'
	o bug 2893, 'ical_yy_scan_bytes has wrong type'
	o bug 2903, 'key 'C' mention harcoded in string'
	o bug 2909, 'Changing folder quickly can cause wrong email to
		     be deleted'
	o IMAP: Don't set charset on simple searches. Fixes Exchange
	  2007.
	o Disconnect NNTP accounts too when switching offline.
	o Fix sensitivity of next-unread toolbar button.
	o tools/gif2xface.pl, tools/outlook2claws-mail.pl: Fix
	  address.
	o Add missing \n at end of the return receipt last part's
	  headers.
	o Make LDAP over SSL work on Win32.
	o Fix crash on action error.
    	o Fix trimming of leading spaces in actions.
    	o tools/vcard2xml.py: Fix missing file encoding info.
    	o fix sensitivity of 'Use both dictionaries' in compose
    	  window.
	o Fix actions with spaces (and quotes).
	o tools/vcard2xml.py: Lines split over more than one line
	  breaks parser; Get email addres correct. Not only 
	  email;internet.
	o Escape filename/description text of MIME parts, prevents
	  error if, e.g., the filename contains an ampersand.
	o Fix 'edit accounts' windows going behind when leaving an
    	  'account preferences' window, by re-focusing this window.
	o Fix crash closing PDF information alert panel.
	o Fix default fonts on Windows.
	o Fix ugly icon in XFCE's alt-tab window.
	o Fix untranslated description in archiver plugin
	o fix crasher when using /Edit/Search folder on start-up with
	  nothing selected.

* 3.9.0
-------

* Added IMAP server side search

* Added the file .claws-mail/extraheaderrc which holds editable extra
  headers to be added to compose window combobox

* Added 'Select html part of multipart messages' to the Folder
  Properties

* GnuPG: Consider marginal signature validity as untrusted

* The mimeview shortcuts are now user configurable

* Spell checker: Always show 'change dictionary' menu

* Filtering dialogue: TreeView type-ahead is now case insensitive

* Separated 'Mark all read' from 'Mark as read' and 'Ignore thread'

* Made 'Mark all read' confirmation button more clear

* Made the clickable area of the expander arrows in the folder list
  larger

* Made SSL client certificate error messages more meaningful

* The type of units required in the Extended Search information
  dialogue are now indicated

* Several speed-ups and optimisations

* Updated manual

* Updated translations: Brazilian Portuguese, Finnish, French, German,
  Hungarian, Spanish, Swedish, traditional Chinese, Ukrainian

* Bug fixes:
	o bug 1137, 'loading plugins with same profile on different
		     archs'
	o bug 1961, 'patches for a couple of clang warnings'
	o bug 1975, 'preference mutt key bindings do not take effect'
	o bug 2096, 'MEMORY-ERROR w/ Claws-Mail/IMAP and Lotus
		     Domino'
	o bug 2203, 'Problems in forwarding multipart/alternative
		     messages with HTML part'
	o bug 2390, 'Non-fully-trusted-key-warning appears based on 
		     primary UID rather than recipient e-mail'
	o bug 2579, 'Installed headers redefine autotools-specific
		     constants'
	o bug 2596, 'Spell checker does not work properly'
	o bug 2638, 'Respect $LEX environment variable in autogen.sh'
	o bug 2639, 'The MSGBUFSIZE definition collides with a
		     definition of OpenBSD'
	o bug 2650, 'segfault in pgp when gpgme_strerror() returns
		     a non utf-8 string'
	o bug 2689, 'segfault when trying to view info about
		     pgp/smime sign'
	o bug 2697, 'segfault in parse_parameters()'
	o bug 2718, 'Failure to check peer hostname when checking
		     certificate'
	o bug 2723, 'Missing encoding in generated html manual'
	o bug 2743, 'null pointer crash in procmime strchr'
	o bug 2744, 'Quick search throws bad command argument error
		     since recent change'
	o bug 2751, 'g_mutex_new/g_mutex_free removed from GLib 2.32'
	o bug 2760, 'display correct libc version in crash dialog
		     when uclibc is used'
	o bug 2761, 'Desktop file does not pass validation'
	o bug 2776, 'Make all menu shortcuts work properly in the
		     message window'
	o bug 2777, 'Installing latest cvs116 package 14 Windows
		     version results in wrong paths in clawsrc'
	o Fix some modal windows
	o Only show HTML parts by default (if the pref is set so) if
	  the part disposition-type is inline or unknown, but not
	  attachment.
	o IMAP: Always clear the tags list when fetching a folder, or
	  Claws will never untag an untagged email.
	o Fix double mainwindow presentation that confuses GNOME3
	  when some plugins fail to load (subsequent Claws windows
	  got no focus in that case)
	o Fix build on Fink/OS X
	o Fix build with gnutls 3.1.3
	o Fix Windows build
	o Fix Windows runtime crash
	o Fix socket communication

* 3.8.1
-------

* Replied and Forwarded message status flags are now non-exclusive.
  Introduced a new message state (and relevant icon in message list)
  where both the Replied and Forwarded flags are set

* 'Send to...' has been added to the context menu of a message's
  parts. This causes a new Compose window to open with the selected
  mime part attached.

* 'Hide' and 'View Log' buttons have been added to the Send and
   Receive dialogues. The former will hide the dialogue, the latter
   will open the Network Log dialogue.

* A short symbol has been added the QuickSearch Extended mode: 'ha',
  an abbreviated form of 'has_attachment'.

* Basic session statistics are now available, from the Statistics
  tab in About dialog and the command-line.

* The display of attached patches, (text/x-patch or text/x-diff), is
  now colourised. The colours are controlled by 3 new hidden
  preferences: diff_added_color, diff_deleted_color, and
  diff_hunk_color.

* Updated translations: Brazilian Portuguese, Czech, German, French, Hungarian,
  Indonesian, Lithuanian, Simplified Chinese, Slovak, Spanish, Swedish,
  Traditional Chinese.

* Bug fixes:
	o bug 1090, 'Standard-folders appear again after rescanning tree'
	o bug 1924, 'Messages marked move to Trash appear identical to
		     messages marked move to $FOLDER'
	o bug 2598, 'Actions can move locked messages'
	o bug 2501, 'opened message blanks when moved to other folder'
	o bug 2574, 'Statement might be overflowing a buffer in strncat'
	o bug 2577, 'Focus rectangle on folder list and message
		     list headings doesn't get properly cleared when switching
                     heading and horizontally scrolling list (underlines and
                     vertical lines remain on screen)'
	o bug 2582, 'Expanded mimeview drag n drop no longer works'
	o bug 2595, 'Change expand behavior for message list / message view'
	o bug 2620, 'shift+tab from subject field not working'
	o bug 2624, 'dialog "Action Configuration" cannot be closed'
	o bug 2646, 'Compile fails with gnutls-3.0.18'
	o bug 2659, 'E-mail attachments are handled inconsistently'
	o bug 2662, '"ag" quicksearch adds "1" to value'
	o Fix bug in search criteria when doing a complete directory
	  search using '*'
	o Fix GTK+2.16 build (w32)
	o Fix sensitivity of toolbar's get_btn (retrieve mail from current
          account) and of mainwindows's relevant entry when current account
          is not able to retrieve (SMTP-only).
	o don't do TLS if not requested by user. fixes connecting to servers
	  which, for example, want SSL 3 only

* 3.8.0
-------

* GnuTLS 2.2 is now a minimum requirement if encrypted connections to
  servers are required.

* The list displays have been updated to use newer GTK+ functions,
  this means that the expanders look different and the optional dotted
  lines have been dropped.

* A hidden option, 'summary_from_show', which controls the display in
  the From column of the Message List: 0 (default): show name,
  1: show address, 2: show name + address
		
* The image viewer now uses the EXIF Orientation.
		
* 'Generate X-Mailer header' has been added as an Account option.

* /View/Message scroll has been added, allowing keyboard shortcuts to
  be added and used for message scrolling.

* Home and End keys now function in the Message View.

* /Message/Print has been added to the Compose window.

* Updated manuals

* Update man page

* Updated translations: Brazilian Portuguese, Czech, French,
	Hungarian, Indonesian, Russian, Slovak, Spanish, Ukrainian.

* Bug fixes:
	o bug 1489, 'Filter action mark_as_read inoperative
		     following move action
	o bug 1563, 'Folder view: show complete threads if they
		     contain unread messages'
	o bug 1870, 'arrow scrolling in filters'
	o bug 2116, 'Rip spaces off server names in account
		     configuration'
	o bug 2127, 'SSL cert check uses canonical name instead of
		     specified name'
	o bug 2177, 'addrbook/addrbook-00000?.xml is not deleted
		     after removing the address book in the GUI'
	o bug 2303, 'Next unread message enables message view'
	o bug 2310, 'Crash when hitting Ctrl+R to reply to a 
		     particular mail'
	o bug 2377, 'Show All Headers - make change persistent
		     between sessions'
	o bug 2402, 'GnuTLS change breaks socket communication'
	o bug 2404, 'matcherrc updates upon account renaming'
	o bug 2406, 'some part of accountrc not updated upon account
		     rename'
	o bug 2408, 'Some UI elements are not persistent between
		     sessions'
	o bug 2422, 'Toggle Message View w/ V crashes Claws'
	o bug 2479, 'LDIF address book import matches tags case
		     sensitive'
	o bug 2481, 'do not scroll "from" dropdown list and sender
		     address'
	o bug 2493, 'Subscription pull down should be alphabetized'
	o bug 2502, 'gnutls_transport_set_lowat removed in gnutls
		     3.0.3'
	o bug 2505, 'tagsdb becomes polluted with old folder entries'
	o bug 2509, 'manually added headers are lost unless mail is
		     sent inmediately'
	o bug 2520, 'Please remove verbose "No further processing
		     after rule %s" message.'
	o bug 2525, 'Address completion window does not get keyboard
		     focus'
	o bug 2526, 'When reading message in separate window, n and p
		     keys do not work'
	o bug 2529, 'crash in mimeview_start_drag after deleting
		     message'
	o bug 2543, 'filter actions in actionsrc not updated upon
		     account renaming'
	o bug 2560, 'crash when unsubscribing newsgroup and having
		     active search field'
	o Fix focus problem on Gnome shell
	o Fix flicker on recursive quicksearch
	o Fix huge slowness induced by spellcheck "while typing"
	  during initial quote rewraps.
	o Fix build with GLib 2.31.
	o Fix crasher when spellchecking is not enabled
	o Fix compose window size saving/restoring

* 3.7.10
--------

* The name of the account is now included within the Network Log
  output. (See enhancement request 2184)

* Right-clicking a message in the Message List no longer opens the
  message. (See enhancement request 2353)
  
* Updated manuals.

* Updated translations: Brazilian Portuguese, Czech, French, Hungarian,
  Lithuanian, and Slovak.

* Bug fixes:
	o bug 1963, 'Preferences Templates Information Window Focus
		     loss'
	o bug 2397, 'Gtkhtml2 viewer ignores message encoding'
	o bug 2402, 'can't download message from pop3 server'
	o bug 2409, 'Failed to compile under GCC 3.x : option
		     -Wno-pointer-sign badly set in configure.ac'
	o bug 2412, 'Send account mail address in Message-ID wrongly
		     implemented'
	o bug 2414, 'Claws segfaults on startup with notification
		     plugin enabled'
	o bug 2418, 'NNTP authentication is broken'
	o bug 2420, 'Invalid markup in icon tooltip text after
		     signature check'
	o bug 2439, 'use bitwise operator for bitmask instead of
		     logical operator'
	o bug 2461, 'popup menu in message list displays 'move to
		     trash' and 'delete''
	o bug 2462, 'Building without GnuTLS support leads to a
		     failure in wizard.c'
	o fix trayicon build with gtk < 2.18.x
	o don't minimise/hide warning dialogue on plugin load error
	o when using a Compose template, only place the cursor in the
	  body when the cursor symbol, %cursor (%X), is used
	o fix build on Debian Sid.
	o fix cursor placement in Forward template
	o fix duplicate key accels
	o fix NNTP server sending authentication warning as part of
	  the connection session

* 3.7.9
-------

* Added a hidden option, 'show_inline_attachments'. When this is
  de-activated inline attachments referenced by other message parts,
  (e.g. attached images referenced in an HTML message part), are
  hidden. This is on by default, maintaining previous behaviour.

* Added a hidden option, 'msgview_date_format'. When this option is
  activated the Date format in the Message View will have the same
  format as in the Message List. The format of the date is also
  controlled in the same way, by the option on the Display/Summaries
  page of the Preferences. This is off by default, maintaining
  previous behaviour.
		
* Several GUI improvements:
	o Reworked Simplify Subject RegExp in the Folder Properties
	o The IMAP option 'Move deleted mails to trash and expunge
	  immediately' has been moved to the Advanced page of the
	  Account Preferences.
	o The option 'Send account mail address in Message-ID' has
	  been moved to theSend page of the Account Preferences.
	o Improvements to the Preferences for the Toolbars.
	o Improvements to the initial Set-up Wizard dialogues.
	o Improvements to the Templates preferences pages.
	o Implemented a nicer scroll when drag and dropping.
	o Added a button to get dictionaries on WIndows.

* New translation: Lithuanian.

* Updated translations: Brazilian Portuguese, Czech, Finnish, French,
  Slovak, Spanish, Ukranian.
  
* Bug fixes:
	o bug 2039, 'SMTP AUTHENTICATION'
	o bug 2050, 'Clawsmail sends return receipt every seconds'
	o bug 2148, 'Attachment content-transfer-encoding incorrectly
		     set when signing emails'
	o bug 2165, 'The date not localized in the message view'
	o bug 2203, 'Problems in forwarding multipart/alternative
		     messages with HTML part'
	o bug 2237, 'User action makes Claws unresponsive'
	o bug 2279, 'crash when clicking 'define' in filter
		     configuring'
	o bug 2299, 'Incorrect handling of quoted printable coma
		     in headers'
	o bug 2315, 'claws-mail 3.7.7 crashes when trying to compose
		     mail on FreeBSD 9.0 amd64 (GTK+ 2.22.1/GLib
		     2.26.1)'
	o bug 2322, 'GPG Full info: showing subkey ID instead of
		     primary key fingerprint'
	o bug 2325, 'messages remains in folder cache after moving
		     from MH to IMAP boxes'
	o bug 2331, 'Base64 is broken in 3.7.7 and 3.7.8'
	o bug 2332, 'Crash when hitting cancel on the SMTP status
		     window'
	o bug 2346, 'Please register x-handler-scheme in .desktop
		     file'
	o bug 2350, 'Make displaying localized date/time in message
		     view optional'
	o bug 2361, 'Claws crashes after PGP Check in separate msg
		     view'
	o bug 2365, 'Crash when auto-scrolling headers in compose
		     window'
	o bug 2369, 'valgrind.h should NOT be part of claws-mail'
	o bug 2381, 'Support for NetworkManager 0.9'
	o bug 2383, 'folderitemrc not updated when account name is
		     changed'
	o bug 2393, 'Crashes and rendering problems in the "Save as"
		     menu caused by attachments with umlauts in the
		     file name'
	o bug 2394, 'backtrace() crashes on FreeBSD'
	o fix matcher body parsing
	o fix crash when searching or adding a LDAP server
	o fix sa-learn when offline
	o TrayIcon plugin: fix logic bug which caused icon to be
	  always set no-mail status on plugin load
	o TrayIcon plugin: force icon hide on plugin_done(), without
	   it an empty space is left in tray under KDE3 and KDE4
	o fix segfault on Windows

* 3.7.8
-------

* Bug fixes:
	o rfe 2309, 'Shortcuts should not be modifiable by default'
	o bug 2313, 'CLI quicksearch sometimes returns the same
		     messages twice'
	o bug 2317, 'Action results in "Bad file descriptor"'
	o PGP/Core: Win32 build fix
	o NNTP: fix replying (broken in corner case)
	o fix configure option --disable-manual
	o One more GTK+ 2.22 build fix
	o Debian bug 599547, 'Please re-introduce quick shortcut for
			      marking as spam'

* 3.7.7
-------

* Enable building with GTK+ 2.22.

* A QuickSearch can now be run from the command line using the
  --search command. See `claws-mail --help` for more information.

* Added a hidden option to set a margin in the text area of the
  Compose window. 'show_compose_margin', defaults to FALSE.

* 3.7.6
-------

* Require GTK+ 2.10 or newer.

* Enable building with GTK+ 2.19 or newer.

* Enable building with libetpan 1.0.

* Encrypt saved LDAP passwords.

* FIltering/Processing: Added 'List-Id' to the pre-defined headers.

* Added 'Reply to this address' to popup menu in the Message View.

* Added separate search phrase completion for normal/extended
  QuickSearch.

* Several interface improvements.

* Use in-reply-to info that is passed in mailto: links.

* Added the GB18030 Chinese charset, which is a superset of GB2312
  and (X-)GBK.

* Added German translation of the manual.

* Added Ukrainian translation.


* 3.7.5
-------

* Bug fixes:
	o bug 2059 'gpgme >=1.1.8 not compatible with S/MIME
		    encryption'
	o bug 2076 'having worked 2 times properly CLAWS ceased to
		    decrypt incoming PGP mails -displays base64 
		    instead - sucks completely'
	o bug 2098, 'claws-mails crashes frequently with pgpcore'
	o Address Book: fix button sensitivity in compose mode.

* 3.7.4
-------

* Spell checker: Highlight misspelled words when applying template
  and 'check while typing' option is on

* Spell checker: Highlight misspelled words in text inserted from
  file(s) or pasted to message body when 'check while typing' option
  is on

* Improve parsing of List-Post header

* Add new drag type "claws-mail/msg-path-list" for drag'n'drop of a
  message selection from the message list into other applications.
  This enables other applications to back-link to Claws Mail via a
  "claws-mail --select" call after they received a drop.

* Place the cursor in the compose window according to provided input.
  If To: is present place cursor in Subject: field and if both To:
  and Subject: are present place cursor in body. If body: is present
  insert a new line after text and place cursor there.

* QuickSearch: Use all of the available space to view expressions


* 3.7.3
-------

* The user is now warned when inserting a large file in the message
  body. The value of 'large' can be configured on the Compose/Writing
  page of the Preferences.

* Added 'has_attachment' and 'signed' matcher expressions to
  Filtering and Processing Flags lists.

* Support Reply prefixes of French Yahoo mail and French Lotus Notes.

* Enabled Page Size and Orientation configuration in the print dialog.
  GTK+ 2.18 or newer only.

* tools/convert_mbox.pl
  Add -R flag to support recursive conversions of arbitrary Evolution
  mail folders.

* 3.7.2
-------

* Default Cc, Bcc and Reply-To options have been added to Folder
  Properties.

* MIME parts that lack an end boundary are now handled, (even though
  they're INVALID!).

* A 'Metadata handling' option has been added to the Miscellaneous
  options page. The options are 'safer' or 'faster'. 'faster' is
  Claws' original behaviour. 'safer' prevents data loss on system
  crashes where the filesystem is of a 'not-so-robust' variety, e.g.
  xfs. If in doubt, use 'safer'. This option defaults to 'safer'.

* Face and X-Face previews have been added to the Custom Header
  Configuration dialogue in Account preferences.

* An option has been added to the Receive page of IMAP account
  preferences, "Move deleted mails to trash and expunge immediately".
  This option is on by default to avoid changing the existing
  behaviour. Turning it off prevents automatic expunging.
  Also, 'Tools/Expunge'  and 'View/Hide deleted messages' menu items
  have been added to main toolbar.

* Support for clickable gopher:// links has been added.

* In the Compose window a warning dialogue is raised if attachments
  that have been added no longer exist on the filesystem at the time
  of sending.

* Buttons to clear header lines in the Compose window have been
  added.

* GnuTLS compatibility mode is now used, this avoids problems with 
  servers that don't comply 100% with the spec, but still exist.

* tools/csv2addressbook.pl
  thunderbird import for version 2.0.0.21 has been added.

* 3.7.1
-------

* Spell Checking has been added to the Subject in the Compose window.

* The 'Quotation characters' option has been moved from the Compose/
  Writing page of the preferences to the /Message View/Text Options
  page.

* When replying to signed and/or encrypted mail and the preference to
  sign and/or encrypt is set, the original mail's privacy system is
  automatically used, if available.

* If a text/calendar attachment is present in a message it is
  automatcally selected if a suitable plugin (i.e. vCalendar) is
  available.

* /Tools/List URLs now shows both the link title and URI if possible.

* A URI appearing in the statusbar is now only trimmed if necessary.

* When using /Tools/Create filter|procesing rule/Automatically
  the List-Id header is preferred to X-* headers.

* The manual has been updated.

* 3.7.0
-------

* Expanding/Collapsing of threads is now approximately 95% faster.

* Cache reading is now approximately 10% faster. 

* The shortcut key settings of the main window and the message list
  context menus are now connected.

* The preferences on the 'Other' page have now been moved to
  Other/Miscellaneous. The parent pages are now unselectable and the
  first page is automatically selected on opening the preferences.

* In the Compose window, on the Others tab, the 'Save message to'
  entry now has a drop-down list of the previous save locations.

*  In the Compose window, the Attachments Properties window is now
   confirmed and closed with the Return key.

* When using an external editor to compose messages, the message is
  automatically saved to Drafts when the external editor is closed. 

* A hidden option has been added, 'primary_paste_unselects' which
  causes the primary buffer to be cleared and the insertion point to
  be repositioned when the middle mouse button is used for pasting
  text. It is turned off by default.

* In the Actions window, the Escape key now cancels the action
  editing.

* Offline SSL certificate verification has been added.

* Privacy plugins: The decryption failure messages are now shown
  in the NoticeView just above the message text rather than in a
  popup window.

* Privacy plugins: when listing the UIDs during a signature check,
  show the UID validity

* tools/popfile-link.sh
  Support for reusing existing POPFile session ID has been added.

* tools/kdeservicemenu
  Support for kde4 has been added.

* win32: better integration has been implemented by using the
  standard file associations.

* 3.6.1
-------

* Claws Mail now requires libetpan 0.57 for IMAP and NNTP.

* SSL support is now provided by gnuTLS exclusively. OpenSSL support
  has been dropped due to licensing issues.

* Added /View/Fullscreen option.

* Re-ordering of the filtering/processing condition and actions lists
  is now possible using drag'n'drop.

* 3.6.0
-------

* Claws Mail now requires libetpan 0.56 for IMAP and NNTP

* Spell checking is now provided by Enchant instead of Aspell. To
  build spell checker support, you will need the libenchant headers.

* The S/MIME plugin is now part of this package.

* IMAP, NNTP, and SSL are now supported in the Windows port.

* Support for client SSL certificates.

* Better support of SSL certificate stores, to be able to verify
  server certificates.

* Renaming of newsgroups is possible.

* "Always open message when selected" can now have three values:
  'Never', 'Always' and 'When message view is visible'.

* Unsaved server passwords can now be temporarily saved for the
  duration of the session. They can be cleared before the session
  expires by using '/Tools/Forget all session passwords'.

* Auto-wrapping settings are now saved in drafted messages.

* Support for basic auto-indentation in the Compose window.

* Support for animated GIFs in the message view.

* Type-ahead search in Filtering, Templates, Actions dialogs now
  select the result of the search.

* Finer granularity in POP3 accounts' Remove After delay - hours in
  addition to days.

* Spam/Ham flag is now stored on IMAP server when possible, using
  "Junk" and "NonJunk" keywords. 

* Use less precise intervals when possible for auto-checking, thus
  the CPU is woken up less frequently.

* The warning icon in the main window is cleared when the error it
  relates to is clipped from the network log.

* IMAP errors now reveal the server on which they happen.

* All deprecated GTK interfaces have been replaced with their
  non-deprecated equivalents.

* csv2addressbook.pl: Added support for FoxMail.


* 3.5.0
-------

* Added an option, "Use secure file deletion if possible", which
  enables shredding of temporary files and messages instead of
  just removing them. This is available on the Other preferences
  page.

* Added an option, "Select the HTML part of multipart/alternative
  messages". This is available on the Message View/Text Options
  preferences page. 

* Added an option to the 'Create new folder' dialogue which enables
  new folders to inherit the properties of their parent folders
  during folder creation.

* Added a hidden option, "two_line_vertical", which toggles the
  2-line view in the message list when using the 3-column layout.
  Defaults to '1', show 2 lines.

* Added a hidden option, "outgoing_fallback_to_ascii", which allows
  the user to specify an outgoing charset/encoding, but still fall
  back to 7bit US-ASCII when possible.
  Defaults to '1', fallback when possible.

* Added support for the Avant Window Navgator (Awn) information
  bubble. This is automatically enabled if dbus is available.

* Face and X-Face headers can now be added globally and per-account
  from configuration files under ~/.claws-mail/autofaces/. Further
  information is provided in the manual.

* The SHA1 fingerprint is now shown on the SSL certificate dialogue
  and the labels are now selectable.

* Several GUI improvements have been made, (Address book, filtering
  dialogue, Actions dialogue, and Account preferences).

* New icons have been added for 'Reply to list' and 'Cancel'. The
  'Insert file' and 'Close' icons have been improved, as have the
  tray icons.	

* Added the Trash and Delete icons to the Custom Toolbars options.

* SMTP-only accounts are now not shown in the Receive menus and
  Account lists in filtering/processing, as they are irrelevant here.

* tools/csv2addressbook.pl
  Support for a gmail exported csv address book was added.

* Updated English, French, and Spanish manuals.

* 3.4.0
-------

* Added support for /dev/mem_notify. This Linux kernel feature
  will allow applications to be notified that memory has to be
  freed before getting OOM-killed.
  For more information: http://lwn.net/Articles/267013/

* Enabled moving/copying folders to root folders when using the
  folder selection dialogue.

* Global and per-folder templates can now override the From name.

* Added a tooltip with extended folder stats. (Hover the cursor over
  the short stats on the right, below the message list.)

* Implemented 2-line items in the message list when in three column
  mode.

* Added support for png themes.

* Added an icon for attached patches (text/x-patch and text/x-diff).

* When viewing a message that has a large amount of text, show a
  maximum of 1MB of text and add a noticeview to show optionally show
  the whole message.

* Added a button to the templates preferences to restore defaults for
  current language.

* Added search in filtering rules list.

* Bogofilter Plugin:
  Added a "learn from whitelist" preference.

* MAEMO:
  Added information when fetching large messages.

* tools/csv2addressbook.pl
  Added support for Kmail/Kaddressbook.

* 3.3.1
-------

* Forbid attaching anything containing "../" or ".ssh/" in mailto:
  URIs.

* Add a hidden preference, 'use_networkmanager', to disable
  NetworkManager handling

* 3.3.0
-------

* Due to licensing problems, the ClamAV plugin has been removed from
  the Claws Mail core distribution and can now been found packaged
  separately or with the 'extra plugins' package.

* Added NetworkManager support
  This is built by default if the dependencies are satisfied; it can
  be specifically disabled with '--disable-networkmanager-support'.
  This enables Claws Mail to track changes to the network status.

* Added DIGEST-MD5 support for IMAP authentication

* Added Folder Properties option, 'Run processing rules when opening'
  to the General page.

* Added sub-sorting to the Message List; when the Sort type is either
  Subject, From, To or Tags, sub-sorting by Date will be active.

* Added from=address to the mailto sequence
  The 'from' will try to select the first matching account in the
  Accounts list, otherwise it will use the usual account selection
  mechanism but will override it with the given 'from' address.

* Added insert=FILE  to the mailto sequence (stands for 'insert file')
  This adds the ability to create a new message from the command-line,
  with the body set from the contents of an existing file.
		
* Added mailto with NNTP accounts
  This comes into play if mailto is used when an NNTP account is the
  default account or if an NNTP account address is used with 'from'.

* Added several GUI improvements to the Filtering, Processing, Tags,
  Actions, Templates, Logging and Address Book dialogues

* Added a tooltip to the 'replied' icon in the Message List which
  indicates 'click to see your reply' feature.

* Added 'claws-mail --version-full' to display the version and a list
  of the compiled-in features

* Implemented speed-ups to list operations, deletions and cache
  updates.

* Updated the man page

* The Trayicon plugin icons are now themable.

* text/calendar message parts are now automatically displayed if a
  plugin handling text/calendar is loaded, e.g. vCalendar.

* Maemo: connect HW status change signal for shutdown

* Maemo: identify mmc1 and mmc2 more clearly in the GUI

* Maemo: Make dnd threshold higher

* 3.2.0
-------

* Several GUI improvements
	The colour preferences have been split into tabs.
	Improve the way 'Find in current message' search results are
	shown by vertically centering the selected text in the
	Message View.
	Improvements to the 'List URIs' dialogue.
	Filtering/Processing Match Type dialogue has been reworked.
	Several other layout improvements.

* Several address book improvements
	Added Custom Attributes, which can be edited from
	'/Tools/Edit custom attributes...' and are used from the
	'Name' drop down list on the 'Edit Person Details' dialogue. 
	Always add a new contact if any value is set, instead of
	silently rejecting it when an email address is not set.
	Better guessing of contact name from incomplete name
	information.
	Better display of contacts that have no name set, in contact
	lists, group contents, find duplicate results.
	Error messages don't show in the status bar anymore, alert
	panels are used instead.
	Several other GUI improvements.

* Added optional Tooltips to the Message List. This is enabled by the
  'Show tooltips' option on the '/Display/Summaries' Preferences page
  and is only possible with GTK+ >= 2.12

* Much improved handling of Return Receipts, both outgoing and
  incoming. 

* Added the option to use the system defaults for External Programs
  preferences on the '/Message View/External Programs' page.

* Added "select first email in list" to the list of possible
  selections in the 'Set default selection on entering a folder'
  options on the '/Display/Summaries' preferences page.

* IMAP: Added IMAP tags support. (Note: 'Bandwidth-efficient' mode
  prevents fetching of tags.)

* IMAP: Optimised flag handling and message copying.

* Improved printed page layout for built-in GTK+ printing
	Bold fonts are now used where appropriate and a demarcation
	between header and body has been added.

* Optimised filtering on flags/tags changes.

* MAEMO: Added LED flashing for new mail alerts

* MAEMO: Made all of the left of column in the Folder List a hotspot
  for expanding/collapsing the tree.

* 3.1.0
-------

Non-blocking NNTP has been implemented. NNTP support is now provided
	by and depends upon libetpan

GnuTLS support has been implemented as an alternative to OpenSSL.
	[./configure --enable-gnutls]

A run-time alternative configuration directory switch has been added,
	[claws-mail --alternate-config-dir DIR]

Tags: Added tag alphabetical sorting and unified the dialogues.

Edit accounts dialogue: The 'default account' (D) column has been
	removed, instead the default account is indicated by use of
	bold text.

Templates: Added ability to attach files using |attach{filename}.
    Templates options are now presented in a tabbed layout.

Address Book: Added duplicate finder, '/Tools/Find duplicates'.
    It is now possible to set an image for each contact. Pictures 
	from a contact's Face or X-Face will be automatically set
	when available. The contact's image will be automatically
	displayed in the message view or header pane if the message
	has no Face or X-Face header.

'/View/Character encoding' submenus are now grouped together

GTK+ built-in print support is now used if GTK+ >= 2.10 is available.
	libgnomeprint will never be used if GTK+ >= 2.10 is available.

Reinstated 'Generate Message-ID' option as an Account preference. It
	is hidden on IMAP accounts, because Message-IDs are needed on
	servers that don't implement the UIDPLUS extension.

Toolbar preferences: Improved dialogue.

Compose window: the number of attachments is now shown in the tab's
	title.

Attachments: When opening attachments with 'Open' or 'Open with...'
	the temporary files are now saved as read-only. A hidden
	preference has been added, 'save_parts_readwrite', which
	permits the previous behaviour.

IMAP: Added a button on the Folder Properties General page to allow
	users to discard local caches.
    Added much better error handling.
    Fetching of cached mails has been heavily optimised.

LDAP: Added read-only support for jpegPhoto LDAP field

Bcc in commandline URIs has been added.

Dillo browser plugin: Address book based whitelisting for loading
	remote images has been added.

SpamAssassin plugin: Address book based whitelisting has been added.

MAEMO: Maemo 4.0 (Chinook) build enabled.

MAEMO: Removed some useless tooltips.

tools/csv2addressbook.pl
	a new script that imports a CSV formatted address book. Becky
	and Thunderbird address book are currently supported.

* 3.0.2
-------

* Bug fixes:
	o bug 1320, 'Memory leak caused by gtk_container_get_children'
	o bug 1321, 'access before allocation when scanning for uris'
	o bug 1324, 'Corrupted IMAP cache'
	o bug 1327, 'segfault when replying to a non-existent news
		     message'
	o bug 1329, 'error in quicksearch.c'
	o bug 1334, 'user defined mail incorporation script not run'
	o bug 1336, 'Segfault if empty space before search-string'
	o bug 1337, 'Crash on removing uncached emails'
	o Prevent unquoted mime boundaries, by always using a /
	o Remove unnecessary error when cancelling export to mbox.
	o MAEMO: make all Folder Properties pages visible
	o MAEMO: fix overlapping buttons in Edit Accounts page


* 3.0.1
-------

* Bug fixes:
	o bug 1308, 'Claws deletes folderlist.xml after fetching mail
		     short after start-up'
	o bug 1311, 'Wrong arrow position while moving message into
		     folder when column headers hidden'
	o fix build without USE_LDAP_TLS
	o Accounts list: fix "Local" protocol not shown when
	  USE_OPENSSL is set.
	o Tags: fixed issues with tags with spaces, and renaming tags
	o Accounts list: Show protocol "SMTP" and the appropriate
	  server for send-only accounts
	o Accounts list: show "-" instead of "" when no value is
	  relevant
	o do not allow locked msgs to be deleted, even by filtering
	  or processing
	o Show error message in the GUI if image can't be loaded
	o Remove Generate Message-ID option. We need this on some
	  IMAP servers.
	o Maemo: distinguish various statusbar messages,
                in order to display only the most important.
	o Maemo: fix statusbar/window mismatch
	o Maemo: fix scrolling to cursor


* 3.0.0
-------

* Claws Mail is now licensed under GPLv3 or later.

* added Tags feature
  Tags are arbitrary labels that can be applied to messages. It is
  possible to create, edit, remove Tags; apply them to mails;
  filter on Tags or Tag presence; apply or unset Tags via Filtering
  actions; reference Tags in reply Templates.

* Threads can now be sorted by most recent message
  /View/Sort/By thread date

* Added "/View/Show or Hide/Column headers"

* Added 'watch thread' feature
	
* Enabled the running of folder Processing rules on demand

* Added options to stop/enable writing logs to disc, see Logging
  page of preferences

* IMAP and News: Implement age-based caching: allow the specifying 
  of a threshold for the offline synchronisation feature, and whether 
  old cached bodies should be removed. Accessible from the Folder
  Properties.

* IMAP: Made multiple copy, (in the same IMAP account), faster by
  matching source/destination message UIDs.
	
* LDAP: Ability to edit all Person attributes

* Nicer layout of the message part icons

* Speed up and clean up rendering of larger msgs

* Use progress bar when sending messages

* Made mainwindow's /Help/Manual point to the remote copy if the
  local copy doesn't exist

* Replaced some deprecated widgets

* Enabled changing the emphasis color used to highlight the
  newsreader/x-mailer header value when it matches our preferred
  mail agent, (hidden pref 'emphasis_color' added to clawsrc).

* tools/mew2claws-mail.pl
  Added new script that imports a Mew address book

* tools/popfile-link.sh
  Added a new script that will open selected messages in
  POPFile control center, in order to change the message
  status.

* Updated the manual

* Check that Dillo's installed when loading the Dillo Browser
  plugin

* Maemo improvements:
	o Automatically choose the correct application
	  to open parts
	o Better way to notify of new mails
	o Destroy messageview after trashing mail
	o Simplified layout
	o Better toolbars, removal of CTree headers
	o Add a specific icon to go back to folder list
	o Improvements to the Wizard, About and icon legend dialogues
	o add an easy way to store data (mails and IMAP/NNTP caches)
	  on one of the SD cards, and protect against unmounts if
	  needed
	o plug the online/offline system into maemo's interfaces to
	  have Claws automatically switch according to the system
	  status (on IT OS 2007)
	o use HildonBanners to display status messages
	o force layout to be Small screen
	o put the progress bar in the toolbar


* 2.10.0
--------

* libetpan 0.49 is now required for IMAP support

* Added "From, To or Subject" to the QuickSearch types.

* Added handling of the 'a' key to loop through a mail's MIME parts.

* In the Compose window "Add to address book" has been added to the
  context menu of the sender and recipient fields.

* Implemented a proper References filtering condition.

* Added the possibility to cancel receiving in IMAP accounts.

* Made offline synchronisation faster.

* Added an alternate way to fetch flags on IMAP, which improves
  performance with some servers, (like Exchange).
  See "Bandwidth-efficient mode" in IMAP accounts' Receive
  preferences.

* Allow manual sorting of Templates.

* Templates improvements: easier syntax, add some useful variables.

* Implemented per-account and per-folder compose/reply/forward
  Templates.

* Added a QuickSearch option to automatically run a search selected
  from the history.

* Made the Summaries Preferemces page "when entering a folder..."
  options fully customisable.

* Added an "Open last opened folder at startup" option to the
  Summaries page in the Prerferences.

* Changed the Preference "Only mark as read when opened in new
  window" on the Summaries page to "Only mark as read when opened
  in new window, or replied to".

* Allow disabling mail filtering plugins on a per-account
  basis.

* Added an option to the Bogofilter and SpamAssassin plugins to
  enable marking saved spam as Read.

* Added a warning about encryption limits, which can be disabled.

* Removed the "Download all" preference from POP3 accounts; it
  was useless and confusing.

* Re-organized some Preferences page.

* Replaced the tabbed layout in Account Preferences with pages.

* Renamed 'Protocol Log' to 'Network Log'

* Added a few cursor improvments while Claws is busy.

* Added support for CRLF in headers of messages.

* Added support for a few more date formats (RFC3339 subsets).

* The keypad's Enter key now does the same as the Return key.

* Improved LDIF import, better error handling, UI cleanup.

* LDAP write support has been added.

* Use Hildon's file chooser on Maemo.


* 2.9.2
-------

* Added a printer icon.

* Bug fixes
	o bug 1187, 'Reply-to addressee disappears when reply-to text
		     box is clicked...' (Maemo)
	o bug 1190, 'dir_open' button doesn't work' (Maemo)
	o bug 1193, 'Need a way to multi-select items'
	o bug 1194, 'Hardware keys move from email list to account/
		     directory list, but not back to email list...'
		     (Maemo)
	o bug 1196, 'Edit>Select All doesn't work' (Maemo)
	o bug 1198, 'Reply-all "disappearing" address bug
		     persists...'
	o bug 1200, 'Add option to always retrieve full messages'
	o bug 1209, 'Clicking on address in header (mailto uri)
		     selects default account'
	o bug 1211, 'Offline dialog message bugs/annoyances...'
	o Don't reflect accounts changes to the mainwindow when it's
	  not necessary.
	o Fix double fetching of mails if first try failed
	o Fix a crash in textview
	o Fix changing quicksearch type (after Esc, after changing
	  Recursive, ...)
	o tools/uudec Fix missing dash to `display` command-line

* 2.9.1
-------

* Security fix:
	o Fix for CVE-2007-1558 (APOP)
	  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-1558

* Bug fixes
	o Fix bug 1185, 'Pluginwindow's [X] button doesn't save'
	o Fix encoding woes wrt saving of mails and parts

* 2.9.0
-------

* Added a Maemo port
  The Maemo port touches several areas: using the correct APIs for
  a good integration, adding of a new layout suited for small
  screens, Maemo-specific default preferences changes, Maemo-specific
  GUI improvements, etc.

* Added more customisable colour labels

* Added 'Mark as spam', 'Mark as ham', and 'Add to address book'
  filtering actions

* Added a new Quote Format symbol, %A, to insert the sender's email 
  address

* Changed the option to display unread message counts next to folder
  names: it is now possible to display the total count of messages
  too. Configurable from Display/Summaries

* If Claws Mail is already running on another display, attempting to
  start it will mention that instead of popping up the window on the
  other display

* Added debugging of filtering/processing rules. Configurable from
  Other/Logging options page

* Added handling of the contextual menu key in compose windows and
  MIME parts list

* Added a "pulsing" progressbar in the label window used when
  rebuilding folder tree, etc, in order to show activity

* Improved "Offline mode override" dialogue to avoid asking
  repeatedly, but still ask on explicit user actions

* Improved the creation of POP/Local accounts when no MH mailbox
  exist: create the default one

* Write folderlist directly after adding/deleting accounts that have
  folders

* Added logging IMAP ALERTs as errors in the log

* Added a way for MimeViewer plugins to implement search in a part's
  body

* Updated, added and replaced some icons

* Added display of any LDAP specified Search attributes 

* Added 'telephoneNumber' in the default LDAP list of attributes

* Updated the Face header in the welcome message

* Added the option to minimize to tray in the Trayicon plugin

* Added a wrapper to mairix in the tools folder, tools/mailrix.sh

* Added a script which enables inserting files into the message body
  of a new Compose window from the command line,
  tools/claws-mail-compose-insert-files.pl

* Updated Brazilian Portuguese, Catalan, Czech, French, German,
  Hungarian, Polish,Serbian, Simplified Chinese, and Spanish
  translations

* 2.8.1
-------

* Bug fixes:
	o bug 1129, '"local mbox file" account isn't retrieving 
		     mails'
	o bug 1135, 'cm-segfault on decrypting with PGP/inline'
	o bug 1136, 'Crash in group address completion'
	* Fix "After receiving new mail, go to inbox" on IMAP, and
	  restrict it to manual fetching only
	* Fix alertpanel.h only included in #ifdef HAVE_LIBETPAN
	* Fix return value without libetpan
	* Use gtk_window_set_role instead of gtk_window_set_wmclass
	* Fix mime/globs path on NetBSD

* 2.8.0
-------

* Removed 'Separate Folder tree' and 'Separate Message View' and put
  new layouts in place of it, 'Standard', 'Three columns', 'Wide
  message' and 'Wide message list'. Accessible from /View/Layout.

* Added IMAP subscriptions
  Creating a new folder subscribes it. Deleting a folder unsubscribes
  it. "Creating" an existing but unsubscribed folder will subscribe
  it. By default, for new accounts, only subscribed folders are shown.
  A contextual menu item has been added, /Subscriptions,  which allows
  switching the display between All folders and Subscribed folders
  only. It also enables the subscribing and unsubscribing of folders. 

* Added the option 'Enable customisable menu shortcuts' to the
  'Other' preferences page. Turning this off locks the current hot
  keys, preventing accidental changes.

* Added icons for application/pdf, application/pgp-signature,
  application/postscript and text/calendar.

* Added /Tools/List URIs
  Enables opening any or all of the URIs contained in the currently
  selected mail.

* Added 'spam flag' to the Filtering and Processing Match Types.

* Removed the 'Composing messages exist' dialogue on exit. Instead
  opened messages are automatically saved to drafts, and re-opened at
  the next startup.

* Added handling of local URIs, (file:///...), from the --attach
  command line.

* Added Account options for spellcheck default dictionaries.

* Added 'Edit/Delete thread'.

* Added an option 'Ask about account specific filtering rules...' to
  the 'Other' page, which was previously a hidden option.

* Some preferences have been re-arranged:
  Moved the 'Ask before emptying trash' option on the 'Other' page
  outside of the 'On exit' frame as it's not only an 'On exit' option.
  Moved 'Never send Return Receipts' from 'Other'  to 'Sending' page.
  Moved keybinding preferences to the 'Other' page.
  Added 'mousepad' to the list of text editors on the 'External
  Programs' page.

* Bogofilter and SpamAssassin plugins:	Enabled moving spam mail to the
  Account's Trash folder instead of default Trash folder.

* ClamAV plugin: updated for the upstream changes in libclamav, whilst
  maintaining compatibility with older version of libclamav.

* GPG Plugins: Added an option 'Use gpg-agent to manage passwords' to
  GPG page of the common preferences. Fixes annoyances with distro-
  installed gpg-agent, when no pinentry program is installed, and the
  user is at a loss on why "decryption failed". It can be turned off
  to bypass gpg-agent. The option is disabled if gpg-agent is not
  running.

* TrayIcon plugin: Added 'Hide at startup' and 'Close to tray'
  options.
  When the 'Close to tray' option is used the Window Manager's hotkey
  and [X] button will hide the window instead of closing it - closing
  CM can be done using the tray icon menu or the /File menu.
  Clicking the trayicon now raises the window to current desktop when
  it was either minimized or shaded, or when it was on another desktop.

* Added support for non ISO-8859-1 compatible locales to the Actions
  scripts freshmeat_search.pl, google_search.pl and multiwebsearch.pl.
		
* Renamed the maildir2claws-mail.pl script to kmail-mailbox2claws-mail.pl
  and updated it to work with newer versions of Kmail. 

* Added thunderbird-filters-convertor.pl script, which converts
  thunderbird filter rules to Claws filter rules.

* Updated Brazilian Portuguese, British English, Czech, Finnish,
  French, German, Hungarian, Polish, Serbian, Simplified Chinese,
  Slovak and Spanish translations.

* 2.7.2
-------

* Added command line equivalent options:
  -h for --help
  -q and --quit for --exit
  -v for --version
  "Unknown option" is now printed when unknown command line options
  are used.

* The wizard for configuration migration, (Sylpheed-Claws to Claws
  Mail), now has the option to save or not save a backup of the old
  configuration folder.

* The configuration wizard is now re-run if it was previously
  cancelled.

* Bug fixes:
	o bug 1100, 'Highlighted e-mail data not visible when color
		     label applied.'
	o bug 1101, '"Load plugin" button is accidentally hidden'
	o bug 1102, 'claws-mail-2.7.1 makes use of deprecated ldap 
		     functions'
	o IMAP: fixed crash when connect command doesn't exist.
	o IMAP: better folder checking when an IMAP directory is set.
	o IMAP: Never remove INBOX when scanning for new folders.
	  It's a special folder that must exist.
	o fix vertical scrollbar jumping back to the top when 'Check
	  for new folders' is used.
	o fix sensitivity issues of Mark as Spam/Ham context menus.
	o fix potential crashes in the address book's embedded 'Edit
	  person' dialogue, and fix conflicting copy/paste menu
	  entry.
	o Reflect change of Font configuration in the Header view
	  clickable links.
	o fix handling of empty values in attach_load_directory and
	  attach_save_directory clawsrc options.
	o fix 2nd-run loss and new configuration loss of filtering
	  rules on configuration migration.
	o Bogofilter plugin: fix sensitivity of "Insert X-Bogosity
	  header" option

* 2.7.1
-------

* Bug fixes:
	o bug 1095, 'Crash while changing folder columns during
		     incorporation'
	o bug 1098, 'bogus last row display after expanding a thread'
	o fix a few annoyances when choosing keys for the CMS (S/MIME)
	  protocol
	o fix updating of the mime parts
	o fix Forwarding msgs with attachments that have dos line
	  endings
	o strip S/MIME signatures when re-editing S/MIME signed
	  messages
	o fix body search starting at the end of the mail (and asking
	  for loop)
	o fix Enter in search windows
	o fix dbus-related crash in the the GTK+ file selector.
	o IMAP: fix recursion when server lists the current subfolder
	  in the response
	o IMAP: get rid of the previous mailimap when connecting, just
	  in case disconnect was unclean
	o IMAP: make sure we don't use an old socket when reconnecting


* 2.7.0
-------

* The --select option can now also select emails by Message-ID

* Attaching files from 'mailto:' URIs (&attach=...) is now possible.
  A dialog is displayed to make sure that the user is aware that the
  mail will contain attachments

* 'New Message format' has been added to the Compose/Writing options,
  this works like the Quote format and the same symbols are supported

* Reworked the About dialog, including the addition of a new page, 
  'Features', which indicates which of the optional features are
  compiled in and which are not. A 'Release Notes' page was also
  added

* Added history combo for all search fields (message and text)

* The 'mark_as_read_delay' option is not hidden anymore and can be
  found in Configuration/Preferences/Summaries

* Added global and per-folder preferences to set the default
  alternate dictionary

* Allow spell-checking to use both current and alternate dictionaries

* Added an hidden option 'addressbook_use_editaddress_dialog' to
  embed the contact editor in the addressbook window in contrast to
  a separate dialog

* Added a hidden option 'unsafe_ssl_certs', to allow storing
  multiple SSL certificates for a given server/port. You will be
  asked to accept unknown certificates. Unchecking this option will
  require you to re-accept previously known certificates

* Allow copying of folders between mailboxes

* Better automatic account selection for mailing lists (searches for
  the email address in the Delivered-To header also)

* Made the "Synchronise" menu item inactive when there's nothing to
  synchronise

* Use Message font in Writing and Quoting preferences, as well as in
  Templates

* Added more HTML symbols to the html to text converter

* Save the addressbook's window size on closing

* Better checks for syntax errors are applied to Templates and Quote
  formats

* Added a check to avoid trying to use a non-existent folder as
  default inbox

* Enable setting SSL via STARTTLS from the set-up wizard

* Added handling of ":port" in server addresses in the set-up wizard
  to specify a port to connect to

* Bogofilter plugin: added an option to print the X-Claws-Bogosity
  header in emails handled by the Bogofilter plugin (in MH folders
  only)

* Bogofilter plugin: added an option to whitelist senders found in
  addressbook

* Bogofilter plugin: Allow storing of Unsure mails in a specific
  folder to make better teaching easier

* Bogofilter plugin: Improved GUI interaction while Bogofilter is
  filtering

* TrayIcon plugin: added an "Email from account/..." submenu

* updated Brazilian Portuguese, British English, Catalan, Finnish,
  French, Italian, Serbian, Simplified Chinese, Slovak, and Spanish
  translations

* 2.6.1
-------

* First release as Claws Mail

* Bug fixes:
	o bug 1053, 'SC fails to reestablish a secure connection'
	o bug 1054, 'Slowness logging big data chunks'
	o bug 1057, 'crash on sending s signed message to a
		     newsgroup'
	o bug 1060, 'compilation error with Irix's cc'
	o bug 1061, 'crash on opening signed email'
	o bug 1066, 'Incorrect mailbox size displayed'
	o bug 1069, 'Sent mails disappear, BCC or locking problem?'
	o fix Reply To/Mailing list from the menu
	o forbid drag and drop from/to different folders of type
	  F_UNKNOWN
	o src/ssl_manager.c: fix possible infinite loop
	o fix Options/Reply mode after draft save
	o obey always_show_msg option when marking as spam
	o fix spelling menu when replying
	o don't change the From column title to To if the To column
	  is visible
	o fix the wrong recipient being selected when replying to a
	  msg which is From one of our accounts To another of our
	  accounts
	o fix crash on combining mark_as_read_delay with Hide Read
 	  Messages
	o create ~/.mailcap if it doesn't exist


* 2.6.0
-------

* Final release as Sylpheed-Claws

* libetpan 0.48 or greater is now required for IMAP support.

* The Compose window now has an /Options/Reply mode/ menu. This
  enables changing the recipients of a reply on the fly.

* QuickSearch now has a type-ahead option for fast searches.

* Extra symbols are now available for the Quote parser, your name,
  your email address, the account name, and the organization.

* In the Folder Properties, it is now possible to test the regular
  expression used in the Simplify Subject RegExp option.

* GSSAPI support has been added for IMAP.

* UIDPLUS support has been added for IMAP.

* A Stop button has been added for Message Body searches, enabling
  cancelling of a running search. This is available in '/Edit/Search
  Folder...' and '/Edit/Find in current message...'.

* libSM support has been added. This enables communication with the
  session manager, so that it is known when the session ends, in
  order to save the caches, and draft any messages currently being
  composed.

* Support for Address Book Groups has been added to the Compose
  window's automatic address completion.

* a new hidden option has been added, 'respect_flowed_format'. This
  follows RFC3676 with regard to a message part with a Content-Type
  that includes 'format=flowed' and 'delsp=yes'. This will cause some
  mails to have long lines, but will fix some URLs that would
  otherwise be wrapped. By default it is turned off.

* Basic key import/export has been added to the PGP plugins. When
  generating a new key pair you can export the public key to a key
  server. When selecting the signature part of a message, if the key
  is not on your keyring, you will be asked if you want to attempt
  to import it from a keyserver.

* The TrayIcon now displays 'offline' status.

* More window sizes and placements are remembered across sessions.

* tools/fix_date.sh: Switches to replace non RFC-compliant Date:
  value, and to use strict RFC matching patterns for dates have been
  added.

* Several optimisations have been made.


* 2.5.6
-------

* Bug fixes:
	o Fix redirecting of sent mails
	o Fix Go to Next * after applying Preferences
	o Fix quote-folding when emails don't convert cleanly to
	  UTF-8

* 2.5.5
-------

* Bug fix:
	o bug 1034, 'Incorrect display of size field in message view'

* 2.5.4
-------

* Bug fixes:
	o bug 1032, 'Segmentation fault when showing message'
	o fix crash with quote folding on HTML
	o fix building with --disable-nls
	o remove tabs in Subject string

* 2.5.3
-------

* Make node expanding in the Folder List non-recursive

* Bug fixes:
	o bug 1024, 'Array index out of range in
	  claws-mail-2.5.2'
	o Fix "Check for new folders" on folders with accented
	  characters
	o Fix filtering "copy" rules
	o Fix "goto next unread" after collapsing/expanding a node

* 2.5.2
-------

* Bug fixes: 
	o bug #1023 (Sylpheed deletes too much messages)
	o Crash in partial downloading

* 2.5.1
-------

* It is now possible to stop searches in message bodies

* IMAP: Use UID SEARCH ALL instead of UID SEARCH UID 1:* in order
  to fix speed issues with badly implemented servers
  
* Bug fixes: 
	o Fix multiple registering of SpamAssassin and Bogofilter
	  plugin after having changed their preferences, leading to
	  slowness or duplicated messages.

* 2.5.0
-------

* Minimum required versions of GTK+ and GLIB is now 2.6.0

* Minimum required version of libetpan (for IMAP support) is now 0.46

* metamail support has been dropped, this is now handled internally

* New plugin: Bogofilter, providing Spam filtering and learning

* Account-based filtering rules. Each filtering rule can now be
  assigned to a specific account, by default it's "All".

* Filtering against Address Book. It is now possible add matched 
  conditions to determine if any email address in a message matches
  or doesn't match any or all books or folders in the Address Book.

* Quote folding. Quotes in the message view can now be folded, via
  the "/View/Quotes/..." menu. The folding can also be toggled by
  double clicking on the quotes in the Message View

* Re-enabled user-defined Headers in Displayed Headers configuration

* "/View/Go to/Parent message" and "/View/Go to/Last read message"
  have been added

* Made the list views look more modern by add alternating coloured
  lines, replacing the box-type expanders with arrows, removing the
  dotted lines.
  Hidden prefs have been added to enable users to maintain the old
  style:
  'enable_dotted_lines' for the dotted lines and box-type expanders. 
  'use stripes_in_summary' to enable alternating coloured lines in
   the Message and Folder lists.
  'use stripes_everywhere' to  also enable alternating coloured lines
   in all other lists.
  Note: 'use_stripes_everywhere' replaces the previous hidden option
  'enable_rules_hint'.

* New hidden pref, 'stripes_color_offset', to change the value added/
  subtracted to normal bgcolor to create the stripes in the summaries
 
* The Send button on the main toolbar is now inactive when the Queue
  folders are empty

* IMAP: Added a View Log button on auth error

* PGP/Core plugin: it is now possible to create a new key pair from
  within Claws Mail

* PGP/Core plugin: When encrypting, if only one key matches, and it 
  matches exactly, it is automatically used

* TrayIcon plugin: the icon now has transparency

* Enabled text selection for replying from MimeViewer plugins

* The attachments list in the MimeView column can now be scrolled
  using the mousewheel

* In the MimeView column a middle-click will now just open the Mime
  part without showing it in the Message View, likewise, a right-
  click will display the context menu without displaying the part

* The "When entering a folder..." selection option is now used for
  '/View/Go to/Next unread folder'

* A special Return-Receipt message is shown if the message is from
  the user

* An icon has been added to the statusbar to notify of errors

* Added missing icons to the Icon Legend dialog

* Enabled closing of SSL certificates and Folder Sort dialogs with Esc
  key

* Displaying of huge mails can now be cancelled, so the GUI doesn't
  block

* Claws Mail' internal queue headers are now hidden when showing
  all headers. They'll be present only in Source window.

* Several GUI improvements.

* Faster loading of folders and other optimisations and speed-ups

* Logging has been improved.

* improved sizing of some widgets

* Made the desktop file XDG compliant

* The manuals have been updated

* A Spanish translation of the manual has been added

* Added an action tool, tools/uuooffice, to open uuencoded *.doc files
  with OpenOffice.

* Added an action tool, tools/fix_date.sh, to fix a missing Date field
  in emails.

* 2.4.0
-------

* A ./configure option has been added, --with-mandir=DIR allowing the
  setting of the man directory location

* 'Send queue' has been added to the folder contextual menu, which
  allows sending the contents of a single queue, as opposed to the
  toolbar's Send Queue, which sends all queues

* '/View/Go to/Next unread folder' has been added

* 'View/Go to/Next marked messages' now traverses folders

* sftp:// links are now recognised in mails

* A dialogue is presented to the user when dropping files into the
  Compose window, asking whether to insert or attach the file(s). The
  default behaviour can be controlled via a new option in 
  Compose/Writing

* Allow attached message parts to be selected, opened, or saved via
  their text label in the message body

* Save named inlined attachments with "Save all"

* An option to change the Folder Type has been added to the Folder
  Properties

* Add |i{sub_expr} to Templates, which allows inserting user-entered
  text in a template

* A new option has been added to '/Preferences/External programs' to
  allow "Display as text" on attachments to be done via a script

* An option to 'Never send Return Receipts' has been added to the
  'Other' page of the preferences.

* The Custom Header dialogue in Account Preferences now has a 'From
  file...' button, which enables a Face or X-Face header to be set by
  selecting a file 

* libgnomeprint support : A font for printing can be specified in
  '/Display/Fonts'

* Add Help buttons to some dialogues, clicking on them will open the
  manual at a suitable section in the configured browser

* The option 'Add date header' has been removed, a date header is
  now always added

* The '/Message/Re-edit' menu item has been removed from the separate
  Message View, where it was useless

* Display an Account's Protocol as a label instead of the unusable
  combo when editing accounts

* It is now possible to move and copy mails from and to the Drafts
  and Queue folders

* More non-English Subject prefixes have been added

* The Attachment flag is now set for some inlined attachments

* Faster recursive quicksearch (show current folder's results before
  searching sub-folders)

* Faster send on IMAP

* Alert in case of authentication error on imap

* Better error reporting in GPG plugins

* Faster and better MBOX import/export

* Save caches on SIGPIPE (like on Xorg exit)

* Unified Info/Help/Symbols buttons

* Honor display-header-pane setting in separate window too

* Use the user-defined From: in the Return-Path: header when sending

* Grab Save button by default in Save dialog, which allows saving
  by hitting Enter

* The online status is checked before resetting mailcheck timer

* Show POP3 connection earlier in statusbar

* Re-read /etc/resolv.conf before connecting to IMAP servers, and
  when switching to Online mode

* tools/textviewer.pl has been added, which can be used with the new
  option 'Command for Display as Text' in '/Preferences/External
  programs'

* The Claws Mail logo has been updated

* 2.3.1
-------

  * bug fix release

  * Improved error catching in GnuPG plugins

  * Always replace \n, \r and \t with spaces in headers

  * Fix 'make clean' removing of provided manuals

  * Fix setting of PACKAGE_DATA_DIR with newer versions of autoconf,
    backwards compatible

  * Fix double-ask of "Do you want to mark all as read"

  * Fix bug #968 (Rockliffe IMAP server doesn't like SC (server isn't 
    RFC-compliant)) - Workaround Rockliffe IMAP server bug

  * Fix bug #969 (crash on rebuilding imap folder)

  * Fix bug #971 (2.2.3 cannot read mail from local mbox)

* 2.3.0
-------

  * Mailing-list support (Subscribe, Unsubscribe, View Archive, etc) 
    has been added in the main window's 'Message/Mailing list' menu

  * Filtering and processing rules can be disabled with just one click

  * The From address is editable in the Compose window

  * A menu has been added to the Compose toolbar button to enable
    choosing the account to use

  * Write-only support of .mh_sequences' Unseen property has been added 
    for MH mailboxes, allowing synchronised flags when reading your MH
    mailbox with Mutt or other MH-based mail clients

  * More feedback is provided to the user when importing MBOX files

  * 'k' added as a shortcut for 'colorlabel' in the Extended Quick
    Search

  * The option to go to the first Marked message when entering a
    folder has been added.

  * The 'ignore thread' flag is now correctly set on mails threaded by
    subject, in addition to standard headers.

  * Hidden prefs have been added that allow customization of the
    colours used in the Log window (useful for dark GTK+ themes)

  * Optimised large folder reading

  * Optimised copy/move/deletion/selection

  * Optimised 'mark all read' in the current folder

  * 'test' filtering rules are processed in the background

  * A progressbar for cache updates has been added

  * A progressbar for copy/move functions has been added

  * More dialogues have been made HIG compliant

  * Allow recursive setting of properties for whole mailboxes

  * A Face header has been added to the Welcome mail

  * The user manual has been updated

  * tools/filter_conv_new.pl has been updated for rule 
    enabling/disabling

* 2.2.3
-------

  * bug fix release

  * Fix crash on a very common code path, introduced by a merge error in 
    2.2.1

* 2.2.2
-------

  * bug fix release

  * Fix URI check, which failed to identify fake, phishing URIs if they
    began with a space.

  * Reply-To and Sender addresses in the message view are now fully
    clickable.

  * Remove extraneous tab at start of addresses.

* 2.2.1
-------

  * bug fix release

  * Always obey the "confirm before marking all mails read" option

  * Fixed MBOX import/export's behaviour on failure

  * Fixed automatic rule creation with List-Post

  * Fixed some GTK+ warnings and errors at runtime

  * Fixed some compiler warnings

  * Fixed double init of the g_thread subsystem

  * Fixed saving of parts with names that can't be converted to UTF-8

  * Fixed a possible infinite loop when filtering moved and copied some
    mails

  * Fixed a buffer overflow in Russian locale 

  * Fixed a memory leak in expired SSL certificate check

  * Fixed bolding of folder names in the folder selector window with
    GLib 2.10

  * Added an hidden preference, 'ssl_skip_cert_check', to avoid
    duplicates of bug #959 - if libetpan is linked against gnutls, there
    can be bugs on 64 bits systems. Gnutls fixed them in their 1.2.4 
    release.

  * The SSL "expired certificate" warning is now presented only once per
    session

  * Fixed races when reusing the SMTP sessions

  * Added the missing timeout on SMTP sessions

  * Fixed a few leaks

  * Fixed a crash in PGP plugins, which could happen when signing fails
    for unknown reasons

  * Fixed SpamAssassin plugin, which stayed disabled as long as the
    transport wasn't reselected

  * Fixed bug #830 (Some unread messages get marked read in IMAP inbox)

  * Fixed bug #955 (copying messages between imap folders is extremely
    slow)

  * Fixed bug #961 (return receipt dialog complains incorrectly about
    return-path email adress being different)

  * Fixed bug #962 (Manual and/or UI should warn about incompatible
    locking causing dataloss)

* 2.2.0
-------

  * S/MIME signature verification has been removed from the PGP/MIME
    plugin as it is now provided by the S/MIME plugin.

  * IMAP users will see significant speed improvements.

  * ANONYMOUS auth has been added for IMAP

  * In the Compose window all spell-checker options are now available
    from the /Spelling/Options menu. 
	
  * Syntax errors in the extended Quick Search are now indicated by
    a pink/red background.

  * An encrypt-to-self option has been added to the Account Privacy
    options.

  * Sysadmins can now provide their users with pre-filled values in
    the Setup Wizard. See the manual, '6.6. Deploying Claws Mail',
    for details.

  * Various GUI improvements have been added.

  * A new command line option has been added: --select 'folder[/msg]'
    This can be used at startup and causes the specified folder/message
    to be selected. 'folder' is a folder id like '#mh/Mailbox/inbox'

  * Optional background colouring of quotes has been added. It can be
    configured from the Colour Preferences dialogue.
    GTK+-2.8.x or newer is required for this feature.

  * In the Compose window, multiple quote levels are now coloured in
    the same way as the Message View.

  * A warning is now displayed on expired SSL certificates and the 
    expiration date is shown.

  * A hidden option has been added, 'compose_no_markup', this prohibits
    the use of bold and italic text in Compose dialogue's account 
    selector.

  * LDAPS support has been added.

  * The user manual has been updated, and French and Polish 
    translations are now also included.

* 2.1.1
-------

  * bug fix release

  * The Preferences config file, ~/.claws-mail/sylpheedrc, is now
    stored with UTF-8 encoding

* 2.1.0
-------

  * libetpan version 0.45 or newer is now required for IMAP support,
    this allows checking for IMAP/SSL certificates.

  * Support for the Face header has been added, 
    see http://quimby.gnus.org/circus/face/

  * In the Templates dialog TAB address completion has been added for
    Cc and Bcc fields, in addition to To. 

  * An account's signature file, (Account Preferences, Compose tab),
    can now been edited in place using the configured text editor.

  * An advanced search is now possible in the '/Edit/Search folder' 
    dialog.

  * '/Edit/Find' has been added to the Compose window for text 
    searching.

  * A progress bar is now shown in the status bar whilst doing a Quick 
    Search.

  * A long search can now be cancelled.

  * In a Sent mail folder the From column in the message list is now
    automatically changed to the To column.

  * '/Message/Colour Label' has been added to the main menu, enabling
    (unmodifiable) shortcut keys, Ctrl+[0-7].

  * The colour labels are now customisable from the 'Display/Colours'
    page of the Preferences. It is now possible to choose any colours 
    and to give them each a label.

  * A Spell Checking option to 'Recheck message when changing 
    dictionary' has been added.

  * An option to 'Render HTML-only mail with plugin if possible' has
    been added to the 'Message View/Text Options' preferences page.

  * Headers in the message view and the Custom headers dialog are now
    translated if the option 'Translate header names' is activated.

  * It is now possible to sort the columns in the Addressbook.

  * More drag-n-drop capabilities have been added, from the message
    list to other apps, from the mimeview to other apps, from other 
    apps to message list, from other apps to folder list, from the 
    mimeview to the message and folder lists and the Compose window's
    attachments pane.

  * "Ignore thread" has beed added as a filtering action.

  * The Compose window is now hidden when sending mails via filtering.

  * An alphabetical resort is done immediately when a folder's name
    is changed.

  * Unsubscribing a newsgroup now removes the related folder and
    articles from newscache/

  * A "Get more..." link has been added to the Plugins window. This
    loads http://claws.sylpheed.org/plugins.php in your browser.

  * The SpamAssassin plugin is now equipped with a spam learning 
    interface, usable by right-clicking a message and choosing
    'Mark as Spam' or 'Mark as Ham' in the Mark submenu. It is now also
    possible to disable SpamAssasin filtering when receiving mail, so
    that the plugin can be used for learning only.

  * Remote learning in the SpamAssassin plugin has been added. This 
    requires SpamAssassin 3.1.x.

  * A new script has been added that integrates a Thunderbird folder 
    tree into Claws Mail, tools/tbird2syl.py

* 2.0.0
-------

  * libetpan >= 0.41 is now required for IMAP support

  * A new and completely rewritten manual has been added.

  * An icon legend window has been added to the Help menu

  * Attached images can now be printed along with the message when using
    the optional libgnomeprintui support.

  * '--exit' command-line option has been added.

  * '--subscribe' command-line option has been added.
    Calling claws-mail --subscribe '%s' will ask the loaded plugins
    if they can handle the type of URL passed as a parameter. Thus, if
    using the RSSyl or vCalendar plugins, for example, the user will be
    able to subscribe RSS feeds or Webcals from the browser.

  * claws-mail email@domain.com  is now equivalent to --compose

  * claws-mail proto://blah.com is equivalent to --subscribe

  * HIG compliant button order has been implemented.

  * Several dialogues throughout have been improved.

  * Text can now also been displayed next to the icons in the main 
    window Toolbar.

  * Quick mail retrieval from any account is now possible due to the
    account submenu which has been added to the 'Get All' button.

  * The spellchecker context menu in the compose window has been added
    to the standard GtkTextView menu instead of replacing it.

  * The Subject in the compose window title now updates instantaneously.

  * The mimetypes list in the compose window attachment pane is now
    alphabetically ordered.

  * The message view email and URI parsers have been enhanced.

  * In Quick Search Extended mode, a '...' button has been added, this 
    provides the user with a dialogue enabling the quick formation of 
    search criteria.

  * When Quick Search is activated, the entry box is given a yellow
    background for greater visibility.

  * The LDAP search in the address book now supports wildcard searching
    using '*'.

  * The configuration option 'Go to inbox after receiving new mail' has 
    been moved from 'Display/Summaries' to 'Mail handling/Receive'.

  * The 'Wrap at send' configuration option has been removed.

  * Colour preferences have been moved from '/Message View/Colors' to
    '/Display/Colors'.

  * The previously hidden option, color_new, has been added to the GUI
    as '/Display/Colors/Folder' containing new messages.

  * The spamassassin and spamassassin_gtk plugins have been merged into
    one single plugin, and this plugin is now built by default if the
    requirements are matched.

  * The clamav and clamav_gtk plugins have been merged into one single
    plugin.

  * GnuPG support: Add support for PKA info if available

  * The PGP/Inline plugin now supports Content-Type 'application/pgp'.

  * A check to verify that plugins are licenced under a GPL-compatible
    licence has been added.

  * The unmaintained mathml_viewer plugin has been removed.

  * Added tools/filter_conv_new.pl.
    Converts the new style Sylpheed filter rules (Sylpheed >= 0.9.99)
    to Claws filtering rules.

* 1.9.100
---------

  * etpan >= 0.40 is now required for IMAP support
    0.40 fixes the SSL connection errors that some users experienced.

  * Buffer overflows in the address book 'Import LDIF/ Mutt/Pine file'
    functions were fixed.

  * GnuPG support:
    Signature checking is now non-blocking

  * The URLs in the About window are now clickable

  * the man page has been updated and renamed 'claws-mail'

* 1.9.99
--------

  * The binary is now 'claws-mail' and not 'sylpheed'

  * The default config dir is now '~/.claws-mail'. The user will
    be prompted to perform an automatic migration of configuration
    options to this new directory.

  * A new default internal icon theme has been added, based on the
    Gnomaws theme.

  * Messages are now sorted by Date by default

  * GnuPG support:
    The noticeview is now shown on the message/rfc822 part in addition
    to the text/plain part.
    The privacy icon in the noticeview is now clickable and also uses
    key C to perform the signature check.
    The Trust field has been moved into Full info display.
    When trust is less than full, don't display a warning icon.
    Visual feedback is provided in the statusbar when checking
    signature.
    The PGP/MIME signature file is now named 'signature.asc'.
    The dialog for entering a passphrase has been improved.

  * Local deletion of news posts has been added.

  * A file selector has been added for selecting an account's Signature
    file

  * Many window sizes are now remembered.

  * The presense of marked msgs in unexpanded subfolders is now indicated
    by the icon of the parent folder.

* QuickSearch:
  The message list is reset when the dialog is hidden.
  The 'Sticky' option, for keeping the search activated across folders.

  * The Subject is now set when forwarding multiple mails.

  * When a default Cc or Bcc is used, a check is performed to make sure
    the To header has also been set.

  * In the filtering dialog a warning dialog is shown if the rule was
    not saved.

  * The file and directory Browse buttons, ("...") have been improved.

  * When double-clicking an attachment the "Open with" dialog is
    presented if no command was found for the file type.

  * The X-Face has been added to the message view and can be toggled by
    '/Configuration/Preferences/Message View/Text options/Display
    X-Face in messageview'.

  * The message list context menu has been reworked.

  * When replying to a mail sent by yourself, Reply excludes your own
    address from the list of recipients. 'Reply All' and 'Reply to
    sender' still work like before.

  * When the Folder Preference 'Default To for replies' the entry in
    the Compose window is presented in bold text.

  * The About window has been reworked.

* 1.9.15
--------

  * etpan >= 0.39 is now required for IMAP support

  * LDAP and JPilot support is now built by default if the dependencies
    are available.

  * ~/.mailcap or /etc/mailcap is now used to open attachments

  * middle-click pasting that respects the 'Wrap pasted text' option
    has been added

  * during composition the user is alerted if the message can't be
    drafted

  * the description windows are now non-modal

  * a 'Clear Log' button has been added to the log window popup menu

  * Sender, List-Post and To have been added to the headers that are
    checked during automatic Filtering and Processing rules creation

  * the current locale's charset is used for display of broken mails
    and a hidden option, 'utf8_instead_of_locale_for_broken_mail', has
    been added allowing the user to use UTF-8 for broken mails

  * GNU/aspell support: if black is chosen as the misspelled word
    colour, misspelled words will be underlined.

  * the Message View and Compose windows now display the message
    subject as the window title.

  * libgnomeprint support: currently selected text attachments can be
    printed

  * drag'n'drop of messages from the Message List to a Compose window's
    Attachment pane is now possible

  * PGP/MIME plugin: it is now possible to verify S/MIME signatures

  * PGP/Core plugin: A "Don't encrypt" button has been added to the key
    selection dialog, and the buttons have been reordered.

  * the user is warned if the requested Privacy system is not available
    when composing a message

* 1.9.14
--------

  * The 'Open first unread message when entering a folder' option has
    been replaced with 'When entering a folder select...'.
    Whether or not the selected message is opened is now exclusively
    controlled by the 'Always open message when selected' option.

  * Filtering and Processing rules can now be named.

  * A new icon for the Trash button has been added.

  * The 'Bold font' option has been removed. A displayed bold font is
    now derived from the normal font.

  * The option 'Display recipient in 'From' column if sender is yourself'
    has been removed from the GUI. It still exists as a hidden option.

  * Many improvements to the Address book.

  * A '/Special paste/' menu item has been added with sub-items 'as
    quotation', 'wrapped', and 'unwrapped'.

  * Colourisation of quotes, signatures, and URIs has been added to the
    Compose window.

  * A 'To' column has been added to the message list pane.

  * The displayed columns in the folder list are now configurable.

  * A hidden option has been added, 'toolbar_detachable', that enables
    the removal of the toolbar handles.

  * A hidden option has been added, 'statusbar_update_step', that
    enables changing the sensitivity of the progress bar stepping.

  * Changes to the Fonts options are now applied immediately.

  * Subfolders of Drafts, Queue, Sent, and Trash now behave like their
    parents.

  * An 'Open image' menu item has been added to image popup menu in the
    message view.

  * Several optimisations and speed-ups have been added throughout.

  * The localedir, manualdir, and faqdir are now user-configurable.

  * tools/asus_mailled.sh
    A new script to blink an ASUS laptop's mail LED when there is
    unread mail.

  * tools/kdeservicemenu/*
    Use Claws Mail icon and the text 'Claws Mail' in the menu,
    use kdialog during installation

* 1.9.13
--------

  * add GPGME 1.x support.

  * A new PGP/Core plugin has been added

  * IMAP now uses libEtPan!

  * Printing support using libgnomeprint2 and libgnomeprintui2

  * The cache/mark files are now platform-independent.

  * A plugin dependency system has been added.

  * The PGP/Inline plugin has been added to the main package.

  * Folders which contain Marked messages are now indicated by a
    Folder icon overlaid with a tick

  * '/Edit/Quick search' menu item has been added to the main window

  * An option to 'Confirm before sending queued messages' has been
  added

  * The "Copy ..." menu items now copy to both the X and the gtk
    clipboards in the Compose window

  * The Template and Plugin lists are now sorted alphabetically

  * Plugins preferences are now grouped under their own 'Plugins'
    heading

  * A 'Go to Prev' button has been added to the toolbar

  * Keyboard accelerators have been added to many buttons

  * The folder selection dialogue now displays folder names with
    new/unread counts

  * The 'Display cursor in message view' option is now a hidden option,
    'textview_cursor_visible'

  * Reordering of accounts by drag 'n' drop has been enabled in the
    'Edit accounts' dialogue

  * New Claws Mail icons have been added, and the default
    application icon is now set.

  * The SpamAssassin and Clam AntiVirus plugins have been optimised.


* 1.9.12
--------

  * improved IMAP support

  * Performance increases

  * /Message/Delete and /Message/Move to trash
	'/Message/Delete' has been renamed '/Message/Move to trash'
	and '/Message/Delete' has been added. '/Message/Delete' will
	now directly destroy the message, after asking for a
	confirmation, instead of moving it to the Trash folder.

  * new style configuration options interface.

  * PGP MIME plugin
 	The 'PGP/MIME' plugin has been renamed 'PGP MIME'.

  * LDAP bind password is no longer visible onscreen.

  * An option to encrypt replies to encrypted messages by default

  * Filtering rules can be reordered by drag n drop

  * '/Options/Character encoding/...' has been added to the Compose
    window

  * Hebrew encodings have been added

  * The 'Show all headers' option is now sticky.

  * Return Receipts can now be sent from any account.

  * A clip/signed icon has been added.


* 1.9.11
--------

  * bug-fix release which fixes the ASpell Spell Checker
    support

* 1.9.9
-------

  * Inline image display

  * An option to render HTML as text has been added to
    /Configuration/Preferences/Common/Message

  * An option for a default Queue folder has been added to the
    'Advanced' tab of Account Preferences

  * Filtering Preferences window size is saved

  * Batch sending of mails (per account)

  * Support for GBK encoding

  * New logo in About window

  * tools/acroread2sylpheed.pl
	script to send pdfs as attachments from Adobe Reader 7
	see tools/README for details


* 1.9.6
-------

  Initial GTK2 release

  * default config dir is ~/.sylpheed-gtk2

-- 
Copyright 1999-2021 the Claws Mail team and Hiroyuki Yamamoto.
See accompanying COPYING file for license details.

